base-installer (1.158ubuntu7) focal; urgency=medium

  * Fix testsuite.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 Apr 2020 13:26:55 +0100

base-installer (1.158ubuntu6) focal; urgency=medium

  * Update kernel flavours to the ones currently offered. Filter out
    non-existent flavours. Filter out transitional 18.04 flavours. Filter
    out single ABI kernels. LP: #1871523

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Apr 2020 23:47:21 +0100

base-installer (1.158ubuntu5) eoan; urgency=medium

  * Use link_in_boot true on all Linux Mint arches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Apr 2019 12:29:54 +0100

base-installer (1.158ubuntu4) yakkety; urgency=medium

  * Use the generic kernel for the powerpc64 flavor (LP: #1625368)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2016 15:44:51 -0600

base-installer (1.158ubuntu3) yakkety; urgency=medium

  * Tolerate omission of leading "deb " in apt-setup/local0/repository
    (based on patch by Lars Kollstedt; LP: #1512347).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 00:43:55 +0100

base-installer (1.158ubuntu2) xenial; urgency=high

  * Fix s390x kernels.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jan 2016 17:33:27 +0000

base-installer (1.158ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
  * Fix up architecture tests to still pass with less delta from Debian.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Dec 2015 10:25:44 -0500

base-installer (1.158) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Use -arch variant for both dh_install and dh_installdebconf overrides,
    fixing FTBFS with -A (Closes: #806218).

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Nov 2015 07:13:36 +0100

base-installer (1.157) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Jul 2015 12:19:19 +0200

base-installer (1.156) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2015 07:38:50 +0200

base-installer (1.155) unstable; urgency=low

  [ Martin Michlmayr ]
  * Support Linux 4.x kernels in arch_get_kernel.

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Jun 2015 06:02:07 +0200

base-installer (1.154) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Fri, 10 Apr 2015 13:29:28 +0200

base-installer (1.153) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Mar 2015 18:59:33 +0100

base-installer (1.152) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add 586 flavour to i386 kernel selection
  * Filter out linux-image-*-dbg packages from kernel selection
    (Closes: #762907)

 -- Christian Perrier <bubulle@debian.org>  Sun, 02 Nov 2014 08:05:33 +0100

base-installer (1.151) unstable; urgency=medium

  * Team upload

  [ Ian Campbell ]
  * Default to MODULES=most for initramfs on armhf. (Related to #762634).

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 08:30:34 +0200

base-installer (1.150) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:33:52 +0200

base-installer (1.149) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru

  [ Aurelien Jarno ]
  * Remove s390 support.

  [ Frederic Bonnard ]
  * Add ppc64el support.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Aug 2014 00:05:48 +0200

base-installer (1.148) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Group Loongson 3A and 3B in the same loongson-3 subarchitecture.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jul 2014 16:50:58 +0200

base-installer (1.147) unstable; urgency=medium

  [ Ian Campbell ]
  * Add support for arm64, based loosely on 1.144ubuntu1.

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Jul 2014 07:41:04 +0200

base-installer (1.146) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Always enable initrd on mips and mipsel.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Jun 2014 23:32:03 +0200

base-installer (1.145) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 14:12:18 +0100

base-installer (1.144ubuntu2) wily; urgency=medium

  * library.sh: Properly handle the case where there is no
    overlay_early_apt_pkg_install.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Jul 2015 22:15:26 -0400

base-installer (1.144ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
    - Add arm64 and ppc64el architectures.

  [ dann frazier ]
  * Add arm64 kernel selection tests (LP: #1284712).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Feb 2014 14:01:50 +0000

base-installer (1.144) unstable; urgency=medium

  [ Colin Watson ]
  * Remove some unused variables from tests.
  * Set Acquire::https::Verify-Host "false" as well as
    Acquire::https::Verify-Peer "false" if
    debian-installer/allow_unauthenticated_ssl=true, to match the behaviour
    of "wget --no-check-certificate" (thanks to Mark Russell for the
    report).

  [ Paul Wise ]
  * Allow preseeding the debootstrap variant to use

  [ Adam Conrad ]
  * Add POWER7+ and POWER8 support to powerpc64.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2014 10:15:15 +0000

base-installer (1.143ubuntu2) trusty; urgency=medium

  * Cherry-pick POWER7+ and POWER8 support from Debian for powerpc64.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 25 Feb 2014 17:53:44 -0700

base-installer (1.143ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Reverse lots of our delta against Debian relating to architectures no
    longer supported in Linux Mint (armel, hppa, ia64, sparc), to make merging
    from Debian less painful.
  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armhf/keystone, armhf/omap, and armhf/omap4 subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Move some kernel installation support code from bootstrap-base to
      base-installer, and allow live-installer to override the title
      template used by that.
    - Add powerpc/e500 and powerpc/e500mc subarchitectures.
    - Add overlay archive support.
    - Add ppc64el architecture.
  * Remove code for some old Linux Mint i386 kernel names that no longer exist.

  [ dann frazier ]
  * Add arm64 kernel detection (LP: #1263756).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Feb 2014 14:55:53 +0000

base-installer (1.143) unstable; urgency=medium

  * Add HTTPS support: pass --no-check-certificate to debootstrap if
    debian-installer/allow_unauthenticated_ssl=true, set https_proxy if
    necessary, and copy any certificates that exist in d-i into the target
    system (LP: #1135163).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Feb 2014 13:59:27 +0000

base-installer (1.142) unstable; urgency=medium

  * pkgdetails.c: Only interpret percentages following whitespace, to cope
    with GNU wget outputting the local file name (which may contain "%" due
    to URL-encoding) after it finishes the download (LP: #1172101).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Feb 2014 16:17:36 +0000

base-installer (1.141) unstable; urgency=low

  [ Ian Campbell ]
  * armhf: Support armmp kernel flavour on mx5 and express and as default on
    generic platforms.
  * armhf: Select armmp-lpae kernel flavour on generic platforms when the
    hardware feature is available.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 17:10:49 +0000

base-installer (1.140) unstable; urgency=medium

  [ Aurelien Jarno ]
  * mips: fix octeon cpuinfo.

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Dec 2013 14:57:43 +0100

base-installer (1.139) unstable; urgency=medium

  * mips: Drop support for non-supported architectures.
  * mips: Add support for octeon kernels.
  * mipsel: Drop support for non-supported architectures
  * mipsel: Add support for loongson-3a kernels.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Dec 2013 21:23:37 +0100

base-installer (1.138) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Dec 2013 08:37:55 +0100

base-installer (1.137) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Nov 2013 18:58:07 +0100

base-installer (1.136) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 09:39:23 +0200

base-installer (1.135) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 06:17:11 +0200

base-installer (1.134) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Aug 2013 22:04:16 +0200

base-installer (1.133) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:47:55 +0200

base-installer (1.132) unstable; urgency=low

  [ Colin Watson ]
  * Use correct compiler and strip when cross-building.

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 15:00:00 +0200

base-installer (1.131) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 20:09:34 +0200

base-installer (1.130) unstable; urgency=low

  [ Milan Kupcevic ]
  * Test suite support for Open Firmware /cpus directory. Closes: #629492

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Dec 2012 18:38:45 +0100

base-installer (1.129) unstable; urgency=low

  [ Milan Kupcevic ]
  * Properly recognize PowerPC SMP machines. Closes: #629492

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Dec 2012 13:08:00 +0100

base-installer (1.128) unstable; urgency=low

  * Add support for armhf/vexpress.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Oct 2012 14:42:51 +0200

base-installer (1.127) unstable; urgency=low

  * Add myself to Uploaders.

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Kannada (kn.po) by Prabodh
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 21:54:13 +0200

base-installer (1.126) unstable; urgency=low

  * Team upload

  [ Philipp Kern ]
  * Add s390x support.

 -- Philipp Kern <pkern@debian.org>  Sat, 11 Aug 2012 16:10:17 +0200

base-installer (1.125) unstable; urgency=low

  * Team upload
  * Replace XC-package-Type with Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 18:02:43 +0200

base-installer (1.124) unstable; urgency=low

  * Team upload

  [ Joey Hess ]
  * Add missing semicolon to /etc/apt/apt.conf.d/00CDMountPoint.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * German (de.po) by Holger Wansing
  * Galician (gl.po) by Jorge Barreiro
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 20:33:53 +0200

base-installer (1.123) unstable; urgency=low

  [ Colin Watson ]
  * pkgdetails: Use fputs rather than fprintf for out-of-memory message.

  [ Martin Michlmayr ]
  * Simplify armel kernel file by removing unsupported platforms.

  [ Otavio Salvador ]
  * [linux] do not list linux-image-2.6 kernels as they're available for
    backward compatibility only.
  * Change kernel selection to choose linux-image-. Closes: #655437.

 -- Otavio Salvador <otavio@debian.org>  Tue, 03 Apr 2012 19:36:14 -0300

base-installer (1.122ubuntu21) trusty; urgency=medium

  * Cherry-pick from trunk:
    - pkgdetails.c: Only interpret percentages following whitespace, to cope
      with GNU wget outputting the local file name (which may contain "%"
      due to URL-encoding) after it finishes the download (LP: #1172101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Feb 2014 16:38:27 +0000

base-installer (1.122ubuntu20) trusty; urgency=medium

  * Add ppc64el support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Jan 2014 10:06:42 +0000

base-installer (1.122ubuntu19) trusty; urgency=low

  * Merge in overlay archive support (LP: #1250930)
  * Merge in Dann Frazier's local0 overloading patch  (LP: #1250930)
  * Add keystone to allowed kernels list for armhf
  
 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 02 Jan 2014 06:07:21 -0500

base-installer (1.122ubuntu17) saucy; urgency=low

  * Add generic-lpae the the allowed list of subarches in armhf/armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 15:15:59 -0400

base-installer (1.122ubuntu16) saucy; urgency=low

  * Install the signed kernels on any 64bit UEFI machine. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 11:30:15 -0400

base-installer (1.122ubuntu15) raring; urgency=low

  * Replace "highbank" flavor with "generic" (LP: #1166597)

 -- dann frazier <dann.frazier@canonical.com>  Tue, 09 Apr 2013 00:01:08 -0600

base-installer (1.122ubuntu14) raring; urgency=low

  [ Ben Collins ]
  * Add powerpc e500 and e500mc kernel detection.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Nov 2012 16:02:12 +0000

base-installer (1.122ubuntu13) quantal; urgency=low

  * Consider signed images in kernel_update_list and install_kernel_linux
    (LP: #1067250).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Oct 2012 10:38:12 +0100

base-installer (1.122ubuntu12) quantal; urgency=low

  * On amd64/efi, install a signed kernel if the SecureBoot variable is set.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 13:52:30 +0100

base-installer (1.122ubuntu11) quantal; urgency=low

  * Move debconf templates relating to kernel installation from
    bootstrap-base to base-installer (LP: #1049011).
  * Allow live-installer to override the title template used by kernel
    installation code.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2012 10:30:40 +0100

base-installer (1.122ubuntu10) quantal; urgency=low

  * Move /usr/lib/base-installer/kernel.sh from bootstrap-base to
    base-installer (LP: #1028453).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 13:13:49 +0100

base-installer (1.122ubuntu9) quantal; urgency=low

  * Cherry-pick from upstream (Ben Hutchings):
    - base-installer/kernel/tests: Fix regex syntax error in runtests.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2012 12:15:22 +0100

base-installer (1.122ubuntu8) quantal; urgency=low

  * Add highbank support

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 16 May 2012 11:25:53 -0400

base-installer (1.122ubuntu7) precise; urgency=low

  * Backport from upstream (Joey Hess):
    - Add missing semicolon to /etc/apt/apt.conf.d/00CDMountPoint.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 Apr 2012 09:54:41 +0100

base-installer (1.122ubuntu6) precise; urgency=low

  * Use -smp for both powerpc and powerpc64 variants in Linux Mint.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Mar 2012 11:02:40 -0600

base-installer (1.122ubuntu5) precise; urgency=low

  * Correct test-suite to actually pass

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 17 Feb 2012 12:53:41 -0800

base-installer (1.122ubuntu4) precise; urgency=low

  * Add armadaxp to base-installer (LP: #934451)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 17 Feb 2012 11:49:03 -0800

base-installer (1.122ubuntu3) precise; urgency=low

  * "Fix" mx5 test results to pass (we don't actually use this
    subarch in Linux Mint's d-i right now, so the test is meaningless).

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 15 Dec 2011 10:28:43 -0700

base-installer (1.122ubuntu2) precise; urgency=low

  * Move kernel/tests/armhf/* to armel/, and symlink armhf to armel.
  * Symlink kernel/armhf.sh to kernel/armel.sh, to match above change.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 15 Dec 2011 10:08:57 -0700

base-installer (1.122ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, armel/omap, and armel/omap4
      subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 13:45:55 +0000

base-installer (1.122) unstable; urgency=low

  [ Joey Hess ]
  * Remove base-installer/kernel/linux/initramfs-generators
    and vestigial support for yaird.
  
  [ Matt Kraai ]
  * Use an initrd on mipsel/loongson-2f systems. Closes: #640418

  [ Milan Kupcevic ]
  * Add POWER7 to the powerpc64 family. (Closes: #637519)

  [ Samuel Thibault ]
  * Fix kernel name on hurd-any.

  [ Colin Watson ]
  * pkgdetails: Use the last of a sequence of stanzas for the same package
    name, rather than the first (closes: #649482).

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Kannada (kn.po) by Prabodh C P
  * Korean (ko.po) by Changwoo Ryu
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Turkish (tr.po) by Mert Dirik

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Nov 2011 13:32:00 +0000

base-installer (1.121ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host and apt-setup/security_path) as
      well as the unadorned suite; also -proposed if apt-setup/proposed is
      true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, armel/omap, and armel/omap4
      subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2011 01:19:23 +0100

base-installer (1.121) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Linux Mint:
    - Run dpkg with --force-unsafe-io during installation; syncing is
      unnecessary in this context and can slow things down quite a bit
      (closes: #605384).
  * Consider 3.0 and later kernels as being like 2.6 for the purposes of
    debconf template selection.

  [ Samuel Thibault ]
  * Propose kernels only of the same kind (closes: Bug#637432)

  [ Joey Hess ]
  * Treat 3.x the same as 2.6 in arch_get_kernel.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * Italian (it.po) by Milo Casagrande
  * Macedonian (mk.po) by Arangel Angov
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Aug 2011 19:11:09 -0400

base-installer (1.120) unstable; urgency=low

  [ Samuel Thibault ]
  * Redirect hurd-i386 active firmlink to null to avoid letting callers keep
    trying reading from it.

 -- Otavio Salvador <otavio@debian.org>  Sun, 24 Jul 2011 00:20:08 +0200

base-installer (1.119ubuntu4) oneiric; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 10:53:17 +0100

base-installer (1.119ubuntu3) oneiric; urgency=low

  * Adjust for Linux 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2011 20:54:48 +0100

base-installer (1.119ubuntu2) oneiric; urgency=low

  * Added omap4 subarchitecture

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 16 Jun 2011 19:19:27 +0000

base-installer (1.119ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Run dpkg with --force-unsafe-io during installation.
  * Explicitly drop code supporting -386 kernels, which were dropped from
    Linux Mint some time ago.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 May 2011 15:54:12 +0100

base-installer (1.119) unstable; urgency=low

  [ Ben Hutchings ]
  * Correct i386 kernel package selection tests for Transmeta TM5800
  * Fix i386 kernel package compatibility check: a suffix of '-pae' means
    the package is incompatible, just as '-bigmem' does
  * Fix i386 feature tests for '686' kernel flavour
  * Add VIA C3 'Nehemiah' as 686-class processor without PAE

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Apr 2011 07:22:47 +0200

base-installer (1.118) unstable; urgency=low

  * Team upload

  [ Ben Hutchings ]
  * Update i386 kernel selection for new flavours in wheezy.

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 17:18:41 +0200

base-installer (1.117) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Add hurd-i386 kernel support.

  [ Joey Hess ]
  * If archive.gpg is missing for some reason, still pass the keyring
    parameter to debootstrap. If you absolutely must run the installer
    w/o a keyring and bootstrap from the network, you can preseed
    debian-installer/allow_unauthenticated.
  * Pass --no-check-gpg to debootstrap when not using http/ftp,
    or when allow_unauthenticated is set, since debootstrap has
    changed to validating the keyring when present by default.
  * Needs debootstrap 1.0.30

  [ Colin Watson ]
  * Support AMD CPU family 18 (thanks, Hsin-Yi, Chen; LP: #760490).

  [ Hector Oron ]
  * Add armhf architecture support 

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 08:43:29 +0200

base-installer (1.116ubuntu2) natty; urgency=low

  [ Hsin-Yi, Chen ]
  * Support AMD CPU family 18 (LP: #760490).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2011 18:07:46 +0100

base-installer (1.116ubuntu1) natty; urgency=low

  * Resynchronise with Debian (LP: #724822).  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Run dpkg with --force-unsafe-io during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2011 10:22:02 +0000

base-installer (1.116) unstable; urgency=low

  [ Colin Watson ]
  * Support AMD CPU family 20 (thanks, Keng-Yü Lin; LP: #676838).

  [ Joey Hess ]
  * pkgdetails: Return the value of the field specified by the
    DEBOOTSTRAP_CHECKSUM_FIELD environment variable.

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2011 20:26:59 -0400

base-installer (1.115ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
    - Support AMD CPU family 20.
    - Run dpkg with --force-unsafe-io during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 14:38:47 +0000

base-installer (1.115) unstable; urgency=low

  [ Miguel Figueiredo ]
  * add title to pick_kernel and driver-policy

  [ Otávio Salvador ]
  * warn when used with an unknown OS value.

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:08:53 -0200

base-installer (1.114ubuntu3) natty; urgency=low

  * Run dpkg with --force-unsafe-io during installation; syncing is
    unnecessary in this context and can slow things down quite a bit.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jan 2011 12:39:20 -0600

base-installer (1.114ubuntu2) natty; urgency=low

  * Support AMD CPU family 20 (thanks, Keng-Yü Lin; LP: #676838).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Jan 2011 22:24:50 +0000

base-installer (1.114ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:07:26 +0000

base-installer (1.114) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Prefer 686 kernel over 486 kernel for VIA C7-D CPUs, ie family 6
    model 13 (Closes: #517121).

  [ Colin Watson ]
  * Unset MACHINE before running tests, to avoid environment pollution.

  [ Otavio Salvador ]
  * Avoid using UUID for swap partitions stored at LVM. Closes: #568877.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn í Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 13 Nov 2010 08:58:32 -0200

base-installer (1.113ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Oct 2010 16:29:45 +0100

base-installer (1.113) unstable; urgency=low

  * Move base-installer/install-recommends from bootstrap-base.templates
    to base-installer.templates.

 -- Otavio Salvador <otavio@debian.org>  Sun, 26 Sep 2010 14:56:54 -0300

base-installer (1.112) unstable; urgency=low

  * Set Dir::Media::MountPath to /media/cdrom as well as
    Acquire::cdrom::mount, as otherwise apt doesn't consistently read from
    the right one.

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Sep 2010 23:09:20 +0100

base-installer (1.111) unstable; urgency=low

  * Team upload
  * Really add kernel/tests/i386/pentium-4M-bigmem-2.test

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Sep 2010 11:51:14 +0200

base-installer (1.110) unstable; urgency=low

  * Team upload.
  
  [ Ben Hutchings ]
  * Improve i386 kernel flavour selection. Closes: #589579
    - Prefer 686-bigmem flavour if it is needed to access all RAM
    - Prefer 686 or 686-bigmem flavour for all AMD K7 processors
    - Offer 686-bigmem and amd64 flavours for processors that support them

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Sep 2010 07:05:32 +0200

base-installer (1.109) unstable; urgency=low

  [ Jeremie Koenig ]
  * Don't check /proc/mounts if it does not exist (ie. on Hurd) (Closes:
    Bug#588776).
  
  [ Aurelien Jarno ]
  * Teach library.sh how to do a bind mount on Hurd and GNU/kFreeBSD.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Ebrahim Byagowi
  * Finnish (fi.po) by Esko Arajärvi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 11:23:24 +0200

base-installer (1.108) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for loongson-2e and loongson-2f.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Galician (gl.po) by Jorge Barreiro
  * Indonesian (id.po) by Arief S Fitrianto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Changwoo Ryu
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:23:41 +0200

base-installer (1.107ubuntu3) maverick; urgency=low

  * Backport from trunk:
    - Move base-installer/install-recommends from bootstrap-base.templates
      to base-installer.templates.

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Wed, 29 Sep 2010 11:20:54 +0100

base-installer (1.107ubuntu2) maverick; urgency=low

  * Backport from trunk:
    - Set Dir::Media::MountPath to /media/cdrom as well as
      Acquire::cdrom::mount, as otherwise apt doesn't consistently read from
      the right one.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Sep 2010 13:28:28 +0100

base-installer (1.107ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Prefer PAE kernels on machines with >3GB of RAM.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
  * Drop patch to ignore Recommends while installing the kernel, superseded
    by a more general change upstream.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 May 2010 12:06:04 +0100

base-installer (1.107) unstable; urgency=low

  [ Frans Pop ]
  * Fix install_extra() to actually display the return code from apt-install
    in case of an error.

  [ Aurelien Jarno ]
  * Add script and tests to select SH4 kernels.
  * Add code to install GNU/kFreeBSD kernel.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Danish (da.po) by Anders Jenbo
  * German (de.po) by Holger Wansing
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 23:10:53 +0200

base-installer (1.106) unstable; urgency=low

  * Define the mount point for apt-cdrom in target as /media/cdrom instead
    of /cdrom as the latter was deprecated back in Etch.

  [ Updated translations ]
  * Hebrew (he.po) by Omer Zak
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Fri, 12 Mar 2010 22:48:17 +0100

base-installer (1.105) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Ensure that Acquire::cdrom::AutoDetect is disabled when running
    apt-cdrom.  We bind-mount /target/cdrom, so apt's new libudev-based
    autodetection isn't needed during installation.

  [ Frans Pop ]
  * powerpc: add kernel selection support for PlayStation 3 systems.
  * Don't install Recommends during base system installation as it leads to
    inconsistencies and requires too many exceptions. Instead delay enabling
    installation of Recommends to the very end of base system installation.
    Any package installations after base-installer will follow the debconf
    setting install-recommends, unless overridden in a call to 'apt-install'.
  * Drop install_filesystems step as that is now being taken care of by
    post-base-installer.d hook scripts.
    Requires: partman-base (138), partman-md (50), partman-lvm (69),
    partman-crypto (41).

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:08:51 -0300

base-installer (1.104) unstable; urgency=low

  * Remove options relative_links and do_bootfloppy from default
    /etc/kernel-img.conf file as requested by Maximilian Attems.
  * Allow for options to be present in queue for apt-install (di-utils 1.73).

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Pavel Piatruk
  * Esperanto (eo.po) by Felipe Castro
  * Galician (gl.po) by Marce Villarino
  * Italian (it.po) by Milo Casagrande
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:20:24 +0100

base-installer (1.103ubuntu7) lucid; urgency=low

  * Add armel/omap subarchitecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Apr 2010 14:28:26 +0100

base-installer (1.103ubuntu6) lucid; urgency=low

  * Handle armel metapackages in ordering hack (imx51, dove, and omap).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Mar 2010 10:21:10 +0100

base-installer (1.103ubuntu5) lucid; urgency=low

  * Add support for preempt kernel flavour on amd64 (LP: #541625).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 10:06:10 +0000

base-installer (1.103ubuntu4) lucid; urgency=low

  * Add base-installer/kernel/backports-modules template, which may be
    preseeded to install selected linux-backports-modules-* packages
    (LP: #526422).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Feb 2010 17:45:53 +0000

base-installer (1.103ubuntu3) lucid; urgency=low

  * Backport from trunk:
    - Ensure that Acquire::cdrom::AutoDetect is disabled when running
      apt-cdrom.  We bind-mount /target/cdrom, so apt's new libudev-based
      autodetection isn't needed during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 12:51:40 -0800

base-installer (1.103ubuntu2) lucid; urgency=low

  * Explicitly ignore Recommends while installing the kernel. We don't want
    to install bootloaders at this point.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Dec 2009 15:04:25 +0000

base-installer (1.103ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51 and armel/dove subarchitectures.
    - Prefer PAE kernels on machines with >3GB of RAM.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
  * Remove all traces of lpia, which is being decommissioned (see
    https://blueprints.launchpad.net/ubuntu/+spec/mobile-lucid-lpia-future).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Dec 2009 12:21:27 +0000

base-installer (1.103) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add scripts to select GNU/kFreeBSD kernels.
  * Add kfreebsd-amd64 and kfreebsd-i386 to the testsuite.

  [ Frans Pop ]
  * Allow to configure APT in the target system to not install Recommends by
    default using the base-installer/install-recommends template. The option
    is only intended for experienced users and is therefore not offered in a
    dialog. It can be either preseeded or set at the boot prompt.
    Together with changes in other components, this also makes what's set
    using this option the global default for all package installs during the
    installation process (with the exception of debootstrap).
    Closes: #543256.

  [ Christian Perrier ]
  * Replace one occurrence of "bootloader" in debconf templates

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 14:05:24 +0100

base-installer (1.102ubuntu2) karmic; urgency=low

  * Install kernel headers to match the kernel (LP: #413135). This may be
    overridden by setting base-installer/kernel/headers to false.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Oct 2009 20:47:08 +0100

base-installer (1.102ubuntu1) karmic; urgency=low

  * Resynchronise with Debian (STANZAS addition fixes LP: #435376).
    Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51 and armel/dove subarchitectures.
    - Prefer PAE kernels on machines with >3GB of RAM.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 16:47:35 +0100

base-installer (1.102) unstable; urgency=low

  [ Frans Pop ]
  * s390: also exclude -s390x-tape kernels during kernel selection.
  * Temporarily replace the /etc/fstab in target by a real dummy file to
    closer match what debootstrap does internally. It avoids a problem
    installing Lenny when the fstab contains UUIDs instead of device names.
    Closes: #539744.
  * Bump debhelper compatibility to version 6.

  [ Colin Watson ]
  * Add STANZAS subcommand to pkgdetails, to be used by debootstrap 1.0.16.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande

 -- Frans Pop <fjp@debian.org>  Tue, 04 Aug 2009 20:13:45 +0200

base-installer (1.101ubuntu5) karmic; urgency=low

  * Use DMI information if possible to determine memory size (LP: #413135).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 16:24:16 +0100

base-installer (1.101ubuntu4) karmic; urgency=low

  * Prefer PAE kernels on machines with >3GB of RAM (LP: #413135).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Aug 2009 13:26:20 +0100

base-installer (1.101ubuntu3) karmic; urgency=low

  * Added support for the Marvell dove SoC (LP: #409238)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 24 Aug 2009 12:30:29 +0100

base-installer (1.101ubuntu2) karmic; urgency=low

  * Adjust for new PAE kernel package naming on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 16:25:00 +0100

base-installer (1.101ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51 subarchitecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jun 2009 17:25:16 +0100

base-installer (1.101) unstable; urgency=low

  * Fix reversed script and mirror arguments to run-debootstrap (thanks,
    Peter Miller; LP: #377814). This was apparently broken ever since the
    facility to use a specific script was first introduced in base-installer
    1.89!

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jun 2009 01:08:10 +0100

base-installer (1.100) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Colin Watson ]
  * Merge from Linux Mint:
    - Silently skip non-existent devices in /proc/swaps (LP: #290947).
    - Write out the resume partition as a UUID if possible.

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Slovak (sk.po) by Ivan Masár

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Jun 2009 13:56:52 +0100

base-installer (1.99ubuntu2) karmic; urgency=low

  * Use block-attr from di-utils 1.68.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 17:31:26 +0100

base-installer (1.99ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51 subarchitecture.
    - Silently skip non-existent devices in /proc/swaps.
  * Use -ia64 kernel across the board on ia64.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Apr 2009 16:51:19 +0100

base-installer (1.99) unstable; urgency=low

  [ Ian Campbell ]
  * Use -686 kernels for CentaurHauls processors again (effectively
    undoing r55059). According to 464962 the kernel has been fixed since
    2.6.26-8. Closes: #504095

  [ Colin Watson ]
  * Merge from Linux Mint:
    - If base-installer/use_unclean_target is asked, emit a warning to the
      logs so that we know about it when diagnosing problems.
    - Never select /dev/ramzswap* (compcache) as a hibernation target.
    - Check dmraid's exit code rather than parsing its output.
  * Fix hppa kernel selection: "64?" and "(64)?" are not the same thing in
    regular expressions!
  * Add armel/qemu-versatilepb test; cpuinfo supplied by Oliver Grawert.

  [ Christian Perrier ]
  * Correct an error in the Spanish translation. Closes: #510310

  [ Jens Seidel ]
  * Minor correction in German translation.  Closes: #512828.

  [ Martin Michlmayr ]
  * Add support for Marvell's Kirkwood platform.
  * Remove support for the old arm port.

  [ Updated translations ]
  * (ast.po) by Marcos Alvarez Costales
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Mar 2009 18:00:30 +0100

base-installer (1.98ubuntu7) jaunty; urgency=low

  * Add linux-lpia to kernel_update_list metapackage ordering hack
    (LP: #359174).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Apr 2009 12:22:12 +0100

base-installer (1.98ubuntu6) jaunty; urgency=low

  * Silently skip non-existent devices in /proc/swaps (LP: #290947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:00:26 +0100

base-installer (1.98ubuntu5) jaunty; urgency=low

  [ Emmet Hikory ]
  * Add lpia kernel selection and tests (LP: #291670)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Mar 2009 15:55:20 +0100

base-installer (1.98ubuntu4) jaunty; urgency=low

  [ Michael Casadevall ]
  * Fixed armel arch_get_kernel() call for Linux Mint/armel
  * Updated the test suite for Linux Mint/armel
  * Added imx51 to armel as a new sub-architecture and added its 
    test suite (LP: #345534)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:41:54 +0000

base-installer (1.98ubuntu3) jaunty; urgency=low

  * Revert Joey's patch to call base-installer.d hooks after running
    debootstrap, which broke console-setup's expectation of being able to
    insert its configuration file into /target before console-setup is
    installed by debootstrap (LP: #340308).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Mar 2009 09:47:12 +0000

base-installer (1.98ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 12:36:32 +0000

base-installer (1.98ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Install busybox-initramfs rather than busybox.
    - If base-installer/use_unclean_target is asked, emit a warning to the
      logs so that we know about it when diagnosing problems.
    - Never select /dev/ramzswap* as a hibernation target.
  * Backport from trunk (Ian Campbell, Frans Pop):
    - Use -686 kernels for CentaurHauls processors again (effectively
      undoing r55059) . According to 464962 the kernel has been fixed since
      2.6.26-8. Closes: #504095

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jan 2009 22:14:20 +0000

base-installer (1.98) unstable; urgency=low

  [ Colin Watson ]
  * Add support for AMD CPU families 16 (Phenom) and 17 (Griffin/Puma) on
    i386 (thanks, Roger Mach and Soren Hansen).

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:49:10 -0300

base-installer (1.96) unstable; urgency=low

  * Only set driver inclusion policy if other than 'most'. The maintainer
    of initramfs-tools assures us that the default will not change.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Frans Pop <fjp@debian.org>  Sun, 14 Sep 2008 12:18:24 +0200

base-installer (1.95) unstable; urgency=low

  [ Frans Pop ]
  * Install filesystem related packages after running the post-install hooks,
    as the former might be interactive. Installing them after locales has
    been installed avoids perl errors. Closes: #496130

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Aug 2008 10:21:45 -0300

base-installer (1.94) unstable; urgency=low

  [ Frans Pop ]
  * Allow to select driver inclusion policy for initramfs-tools
    Closes: #494466

  [ Martin Michlmayr ]
  * Use MODULES=dep on arm and armel.

  [ Jérémy Bobbio ]
  * i386: Use -486 flavour for all CentaurHauls processors.  As they lack long
    NOP instructions, -686 kernels since 2.6.22+ fail to boot on these
    processors even if they claim 686 compatibility.  Closes: #492751

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 24 Aug 2008 21:47:33 +0300

base-installer (1.93) unstable; urgency=low

  [ Frans Pop ]
  * Improve kernel selection for AMD64. All k8 and most k7 systems support the
    686 kernel flavor. Only older k7 systems without SSE support need 486.
    Based on documentation the divider seems to be at family 6, model 6.
    Closes: #490542.
  * Avoid locale related errors up to the point where locales gets installed
    by setting IT_LANG_OVERRIDE=C for apt-install.

  [ Ian Campbell ]
  * i386: If the installer is running a -bigmem kernel and the processors
    support PAE then select a -bigmem kernel for installation. For
    compatibility with running under Xen. Closes: #480054.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:08:43 -0300

base-installer (1.92) unstable; urgency=low

  * Call base-installer.d hooks after running debootstrap, for consistency
    with live-installer. (So, pre_install_hooks is run after bootstrap, but
    before anything is installed with apt. So the name still makes a kind
    of sense, if you squint..)
  * Remove sources.list before running base-installer.d hooks. Otherwise,
    apt-install will try to run apt, rather than queuing, and apt is not
    configured yet.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Slovenian (sl.po) by Matej Kovacic
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jun 2008 15:46:22 -0400

base-installer (1.91) unstable; urgency=low

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:05:41 -0300

base-installer (1.90) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add versatile as known armel kernel flavour.

  [ Frans Pop ]
  * Remove Bdale Garbee and Sven Luther as Uploaders with many thanks for
    their past contributions.
  * Revert to bind-mounting the installation CD in /target because in some
    cases the fact that the CD is already mounted on /cdrom can prevent the CD
    from being scanned. Closes: #475639.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 28 Apr 2008 07:14:31 +0200

base-installer (1.89) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add a cpuinfo file from QNAP TS-109 (orion) to the test suite.
  * Mark the orion flavour as unusable on non-Orion systems.

  [ Frans Pop ]
  * hppa: change test for SMP support to use /var/numcpus which is created
    by rootskel (from version 1.59); the current test does not work as it
    requires the D-I kernel to have SMP support, which it hasn't.
    Thanks to Grant Grundler for his suggestions.
  * powerpc: correctly recognize systems with 'RS64-IV (sstar)' cpu as
    powerpc64 (closes: #469030).
  * Add support for PA Semi's evaluation systems (#464429). Thanks to
    Olof Johansson for the patch.
  * Now that changing CDs is supported, stop bind-mounting /cdrom in /target
    except for hd-media installs.
  * This requires that /dev is bind-mounted in /target earlier; the
    installation of packages required to mount file systems is left as a
    separate step.

  [ Otavio Salvador ]
  * Add facility to include and exclude packages from the base system by
    preseeding base-installer/includes and base-installer/excludes. Adding
    packages using base_include and base_include CD files still works and
    the packages are added to the preseeded ones.
  * Add facility to use a specific script by preseeding
    base-installer/script.

  [ Martin Michlmayr ]
  * Rename orion to orion5x to allow for support of other Orion
    platforms in the future.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Wed, 19 Mar 2008 20:47:52 +0100

base-installer (1.88) unstable; urgency=low

  [ Joey Hess ]
  * Demote Transmeta Crusoe systems to use the 486 kernel.
    Based on #464962, Crusoe lacks support for a long NOP instruction,
    which gcc has begun using when optimising for the 686.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 10:48:39 -0200

base-installer (1.87) unstable; urgency=low

  [ Christian Perrier ]
  * Add a dependency on ${misc:Depends} for base-installer so that it
    depends properly on debconf.

  [ Aurelien Jarno ]
  * Add support for the MIPS Malta platform.

  [ Colin Watson ]
  * Silence syslog noise if /usr/lib/base-installer.d or
    /usr/lib/post-base-installer.d is empty.

  [ Frans Pop ]
  * Whitespace cleanup: reduce indentation in kernel selection scripts.
  * Update kernel tests for i386 and powerpc.
  * Change kernel usability tests for all arches so that by default any
    postfix is allowed, but only when separated from the flavor by a hyphen.
    This allows both standard postfixes (e.g. -smp) postfixes for custom built
    images, and is used to support updated kernel meta packages for stable.
  * mips/mipsel: allow fallback to 4kc-malta kernel for 5kc-malta.
  * Add hack that allows default selection of kernel meta packages with a
    postfix added to the name through preseeding, for example to support
    selection of updated kernels for stable.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Viesturs Zarins
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Wed, 06 Feb 2008 17:31:00 +0100

base-installer (1.86ubuntu9) jaunty; urgency=low

  * Use the correct mirror for -security in the event of
    apt-setup/security_host being preseeded (LP: #306356).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 12:05:18 +0000

base-installer (1.86ubuntu8) jaunty; urgency=low

  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:06:12 +0000

base-installer (1.86ubuntu7) intrepid; urgency=low

  * Add support for virtual kernel flavour on amd64 (LP: #283368).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Oct 2008 17:25:53 +0100

base-installer (1.86ubuntu6) intrepid; urgency=low

  * Add support for AMD family 17 on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 00:50:13 +0100

base-installer (1.86ubuntu5) intrepid; urgency=low

  * Never select /dev/ramzswap* as a hibernation target.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Sep 2008 15:11:19 +0100

base-installer (1.86ubuntu4) intrepid; urgency=low

  * Merge from hardy-proposed:
    - Fix exclusion of restricted in CD installations (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2008 00:46:31 +0100

base-installer (1.86ubuntu3) intrepid; urgency=low

  * Use powerpc64-smp kernel on PS3/Cell (LP: #221647).
  * Don't include restricted in the base sources.list if
    apt-setup/restricted is preseeded to false (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 May 2008 22:37:07 +0200

base-installer (1.86ubuntu2.2) hardy-proposed; urgency=low

  * Fix exclusion of restricted in CD installations (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jun 2008 11:38:05 +0100

base-installer (1.86ubuntu2.1) hardy-proposed; urgency=low

  * Don't include restricted in the base sources.list if
    apt-setup/restricted is preseeded to false (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 May 2008 22:40:15 +0200

base-installer (1.86ubuntu2) hardy; urgency=low

  [ Colin Watson ]
  * If apt-setup/proposed is true, set up the default sources.list to look
    in -proposed as well (LP: #181776).
  * If base-installer/use_unclean_target is asked, emit a warning to the
    logs so that we know about it when diagnosing problems.

  [ Soren Hansen ]
  * Add support for AMD CPU family 16 on i386 (LP: #187869).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Feb 2008 10:25:10 +0000

base-installer (1.86ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Install busybox-initramfs rather than busybox.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Dec 2007 17:46:16 +0000

base-installer (1.86) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for the Orion (ARM) platform.

  [ Updated translations ]
  * Slovak (sk.po) by Ivan Masár

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:15:41 +0100

base-installer (1.85ubuntu3) hardy; urgency=low

  * Fix construction of sources.list when installing from the network (">"
    used in place of ">>"). Thanks to Timo Aaltonen for the report.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Nov 2007 10:06:16 +0000

base-installer (1.85ubuntu2) hardy; urgency=low

  * Install busybox-initramfs rather than busybox.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2007 14:34:33 +0000

base-installer (1.85ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
  * Set the Vcs-Bzr field to the Linux Mint branch.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Nov 2007 15:50:44 -0500

base-installer (1.85) unstable; urgency=low

  * Bind mount /dev to /target/dev instead of creating device nodes for
    devicemapper etc.
  * Ensure static devices created during installation are preserved by first
    bind mounting /target/dev on /dev/.static/dev/. MAKEDEV will then detect
    udev is used (provided proc is mounted in /target).
    Note: any devices created in /target/dev/ itself will get lost.
  * Utility pkgdetails moved from debootstrap-udeb to bootstrap-base so that
    debootstrap-udeb can become 'Architecture: all'.
  * Requires debootstrap-udeb (1.0.7).

 -- Frans Pop <fjp@debian.org>  Wed, 14 Nov 2007 12:16:37 +0100

base-installer (1.84) unstable; urgency=low

  [ Frans Pop ]
  * Drop isinstallable test for sarge, we don't support sarge installs
    anymore.
  * Remove support for sparc32.

  [ Colin Watson ]
  * Clean up /tmp/available_kernels.txt.unfiltered too.

  [ Joey Hess ]
  * Install busybox before installing initramfs-tools, to support version 0.91
    which will only recommend busybox.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Dutch (nl.po) by Frans Pop
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:12:17 -0300

base-installer (1.83) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * Install smp kernel by default on sun4v (Niagara based sparc).
    With the new LDOM support on the way, adding/removing CPU's
    from control/service/guest nodes is easy as drinking a glass
    of water. With this change we will guarantee that the user
    will always get the best setup.

  [ Frans Pop ]
  * Drop preprogrammed kernel defaults as that mechanism is no longer used.
  * Restructure kernel selection to allow for preseeding. Preseeding "none"
    to skip installing a kernel is supported.
  * If we could not determine any reasonable default kernel, ask the question
    at critical priority.
  * Sort the kernel list in ascending order. With the improved method of
    selecting a default and the fact that we no longer have different kernel
    major versions, reverse sorting is no longer as important, especially as
    using a descending order has its own disadvantages.

  [ Joey Hess ]
  * Move dependencies on mounted-partitions and created-fstab from
    base-installer to bootstrap-base.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Jul 2007 13:39:36 -0400

base-installer (1.82) unstable; urgency=low

  [ Frans Pop ]
  * Add support for Serial ATA RAID (dmraid):
    - install dmraid (if needed)
    - create device nodes in /target for SATA RAID devmapper devices

  [ Joey Hess ]
  * Split off a bootstrap-base package that contains the bits needed to
    [c]debootstrap a base installation.
  * base-installer now provides the framework for installing base, including a
    shell library in /usr/lib/base-installer/library.sh.
  * bootstrap-base templates are not renamed, to avoid preseeding
    issues and other complications.
  * Dropped pcmcia modules package installation support (2.4 kernel stuff).
  * Remove old support for using prebaseconfig templates for progress.

  [ Otavio Salvador ]
  * Add support to run_waypoints to accept different templates for the
    progress bar title.

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 29 Jun 2007 15:10:49 -0300

base-installer (1.81ubuntu4) gutsy; urgency=low

  * Add support for virtual, rt, and xen kernel flavours (LP: #144111).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2007 13:45:37 +0100

base-installer (1.81ubuntu3) gutsy; urgency=low

  * Support powerpc/cell subarchitecture.
  * Use cell kernel flavour on powerpc/ps3 and powerpc/cell.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Sep 2007 21:48:42 +0100

base-installer (1.81ubuntu2) gutsy; urgency=low

  * Treat pre-Nehemiah Via C3s as 586, so they use the -generic kernel
    (LP: #137340).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Sep 2007 13:40:06 +0100

base-installer (1.81ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Install smp kernel by default on sun4v (Niagara based sparc).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Aug 2007 19:06:43 +0100

base-installer (1.81) unstable; urgency=low

  [ Otavio Salvador ]
  * Provides installed-base. This is need to be able to use alternative
    ways of installing Debian.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2007 22:16:24 +0100

base-installer (1.80ubuntu2) gutsy; urgency=low
  
  * Install smp kernel by default on sun4v (Niagara based sparc).
    With the new LDOM support on the way, adding/removing CPU's
    from control/service/guest nodes is easy as drinking a glass
    of water. With this change we will guarantee that the user
    will always get the best setup.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 03 Jul 2007 09:58:53 +0200

base-installer (1.80ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 15 Jun 2007 15:52:38 -0400

base-installer (1.80) unstable; urgency=low

  [ Frans Pop ]
  * Remove obsolete code to mount CDs in /target for 2.2 kernels.

  [ Joey Hess ]
  * Depend on debian-archive-keyring-udeb. (This is not a hard dependency,
    since the keyring is not always used, but it's simpler than using
    anna-install.)

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:33:20 +0200

base-installer (1.79ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
  * Remove some old cruft from Linux Mint kernel selection code.
  * i386 -server* kernels require 686 processors.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Apr 2007 14:31:55 +0100

base-installer (1.79) unstable; urgency=low

  [ Frans Pop ]
  * Remove last references to 2.4 kernels.
  * Remove call to no longer existing function. Closes: #419416.

  [ Martin Michlmayr ]
  * Remove RiscPC references since this platform is no longer
    supported.

 -- Frans Pop <fjp@debian.org>  Sun, 15 Apr 2007 18:46:10 +0200

base-installer (1.78) unstable; urgency=low

  * Multiply menu-item-numbers by 100

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:28:45 -0400

base-installer (1.77) unstable; urgency=low

  * Remove compatibility support for old versions of initramfs-tools.
  * Remove support for initrd-tools.
  * Also install extra kernel-related packages if no initrd is used. This
    seems to be a minir error in the original implementation of this option.
  * Remove distinction between initrd and initramfs: all supported initrds are
    now initramfs. Keep the more generic name initrd.
    Three architectures currently don't use an initrd: mips, mipsel and m68k.
  * Kernel selection: remove support for pre-2.6 kernel images; update
    testsuite accordingly and bring it in line with kernel images as shipped
    with Etch.
  * i386 kernel selection: 686 kernel flavor is usable with AMD k7 processors.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম)
  * Dzongkha (dz.po) by translator
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Frans Pop <fjp@debian.org>  Tue, 10 Apr 2007 00:34:52 +0200

base-installer (1.76) unstable; urgency=low

  * Improve detection of Centaurhauls VIA processors. Only the later models
    (Nehemiah and Esther) support the 686 kernel flavor; the older models
    (Samuel and Ezra) need the 486 flavor. Closes: #414192.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Mar 2007 14:45:30 +0100

base-installer (1.75) unstable; urgency=low

  * Set Aptitude::CmdLine::Ignore-Trust-Violations in allow_unauthenticated
    mode. Seems that aptitude needs two options for some reason.
    Closes: #411927

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Feb 2007 15:00:07 -0500

base-installer (1.74) unstable; urgency=low

  * Only pass keyring to debootstrap if using a network protocol.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Feb 2007 14:13:08 -0500

base-installer (1.73) unstable; urgency=low

  [ Aurélien GÉRÔME ]
  * Add VIA C7 processor definition and test case. Closes: #410819.

  [ Joey Hess ]
  * Add support for armel.
  * If debian-installer/allow_unauthenticated exists and is true, write a
    /etc/apt/apt.conf.d/00AllowUnauthenticated file making apt allow
    unauthenticated mirrors.
  * Depend on gpgv-udeb, which has apparently never really been pulled in
    before.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 16:04:00 -0500

base-installer (1.72) unstable; urgency=low

  [ Colin Watson ]
  * Fix processor detection on SMP i386 and amd64 systems when booting with
    an SMP-capable kernel.
    See https://bugs.launchpad.net/ubuntu/+source/base-installer/+bug/79109;
    test case taken from that bug.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Hebrew (he.po) by Lior Kaplan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Peter Mann

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:23:40 +0100

base-installer (1.71) unstable; urgency=low

  [ Colin Watson ]
  * Strip comments from debian/templates-arch in output templates file.

  [ Frans Pop ]
  * Also write the default header comments for kernel-img.conf.
  * For powerpc/prep systems, write the root partition to an initramfs-tools
    config file. Thanks to Ulrich Teichert for testing. Closes: #405572.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 20:15:26 +0100

base-installer (1.70ubuntu7) feisty; urgency=low

  * Use powerpc64 kernels on PS3 systems; the separate ps3 kernels have gone
    away.
  * Add PS3 tests.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 15:07:05 +0100

base-installer (1.70ubuntu6) feisty; urgency=low

  * Add linux-generic and linux-ps3 to crazy kernel_update_list metapackage
    ordering hack.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 16:45:16 +0000

base-installer (1.70ubuntu5) feisty; urgency=low

  * Install linux-ps3 on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:23:48 +0000

base-installer (1.70ubuntu4) feisty; urgency=low

  * Fix VIA CPU family detection (LP: #86270).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Feb 2007 14:05:02 +0000

base-installer (1.70ubuntu3) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:28:35 +0000

base-installer (1.70ubuntu2) feisty; urgency=low

  * Backport from trunk:
    - Fix processor detection on SMP i386 and amd64 systems if booting with
      an SMP-capable kernel (LP: #79109; test case taken from that bug).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 17:02:42 +0000

base-installer (1.70ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 11:28:05 +0000

base-installer (1.70) unstable; urgency=low

  * Add support for selecting prep kernels (powerpc). Closes: #386265.
    Thanks to Sven Luther for the patch.
  * Create new testcase for powerstack II prep boxes based on cpuinfo
    provided by Sven Luther.
  * Only offer initramfs generator selection at low priority as yaird is no
    longer a really logical option.

  [ Updated translations ]
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Tue,  5 Dec 2006 23:24:58 +0100

base-installer (1.69) unstable; urgency=low

  [ Thiemo Seufer ]
  * Add support for qemu on mips/mipsel, thanks to Aurelien Jarno.

  [ Martin Michlmayr ]
  * nslu2 uses the ixp4xx kernel now - update the test suite.

  [ Colin Watson ]
  * Use log-output for hook scripts rather than a temporary file.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:04:49 +0100

base-installer (1.68ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use the Linux Mint keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Linux Mint kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  8 Nov 2006 14:27:23 -0800

base-installer (1.68) unstable; urgency=low

  [ Frans Pop ]
  * Clean up defaults for kernel/image-2.6. All were obsolete and thus
    obviously no longer needed.

  [ Joey Hess ]
  * Clean up defaults for kernel/image. All but i386 were obsolete and thus
    obviously no longer needed, and I'm sure we don't need a default 2.4
    kernel for i386 any longer.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * German (de.po) by Jens Seidel
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 13:53:47 +0200

base-installer (1.67) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Always use template base-installer/kernel/linux/extra-packages, even if
    base-installer/kernel/linux/extra-packages-$kernelver exists.
    Closes: #383896.

  [ dann frazier ]
  * Drop SMP detection on IA64. IA64 -smp flavours have been dropped.
    As of 2.6.17, all Debian IA64 kernels are SMP.

  [ Colin Watson ]
  * Mark ${ERROR} in base-installer/debootstrap/fallback-error as
    untranslatable.
  * Suppress a spurious "dmsetup: not found" error.

  [ Sven Luther ]
  * [powerpc] Added support for IBM Power5+ cpus.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Sat, 16 Sep 2006 11:26:25 +0200

base-installer (1.66) unstable; urgency=low

  [ Joey Hess ]
  * Clean up apt.conf settings code; stop using apt.conf and use
    apt.conf.d for 00trustcdrom.

  [ Frans Pop ]
  * Activate initramfs for IA64. Closes: #383557.
  * Various changes in kernel selection for i386/amd64:
    - no longer support SMP in defaults as this is no longer needed with
      smp-alternatives enabled for 2.6.17 and this never worked anyway
    - remove smp specific tests in kernel selection testsuite
    - i386: speakup kernel was 2.4 only, so no longer supported
    - amd64: add support for new generic -amd64 flavor
  * Add Lintian override for standards-version.

 -- Frans Pop <fjp@debian.org>  Sun, 20 Aug 2006 00:53:40 +0200

base-installer (1.65) unstable; urgency=low

  [ Martin Michlmayr ]
  * Handle the ARM sub-architectures iop32x, iop33x and ixp4xx.
  * Add a test suite entry for arm/iop32x based on the Thecus N2100.

  [ Frans Pop ]
  * Don't offer yaird for S/390 as it does not configure the dasds.
  * Add kernel selection support for ppc64. Closes: #383135.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 17 Aug 2006 17:33:24 +0200

base-installer (1.64) unstable; urgency=low

  [ Colin Watson ]
  * Try to use /etc/initramfs-tools/conf.d/resume or
    /etc/mkinitramfs/conf.d/resume if initramfs-tools is new enough to have
    the conf.d directory, rather than editing a conffile.
  * Separate resume configuration file handling from other ramdisk
    configuration file handling.
  * AMD CPU family 15 systems (i.e. K8) should be allowed to install K7
    kernels.
  * Fix quoting so that LVM (but not crypto) installs don't break due to the
    lack of dmsetup-udeb.

  [ Frans Pop ]
  * Use separate variable for selected ramdisk generator.
  * Select kernel meta package for current kernel major version for hppa.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Panjabi (pa.po) by A S Alam
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Sun, 30 Jul 2006 02:38:59 +0200

base-installer (1.63ubuntu6) edgy; urgency=low

  * Backport from trunk:
    - AMD CPU family 15 systems (i.e. K8) should be allowed to install K7
      kernels.
  * Backport from trunk (Sven Luther):
    - [powerpc] Added support for IBM Power5+ cpus.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 02:55:27 +0100

base-installer (1.63ubuntu5) edgy; urgency=low

  * Stop installing usplash along with initramfs-tools. We now rely on the
    desktop installation step to do this.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 Oct 2006 13:07:11 +0100

base-installer (1.63ubuntu4) edgy; urgency=low

  * Track changes in kernel targets in linux-source-2.6.17 2.6.17-7.19:
    - amd64: amd64-generic -> generic, amd64-server -> server, amd64-k8 and
      amd64-xeon removed;
    - i386: (686, k7) -> generic;
    - hppa, ia64: -smp targets removed (all kernels for these architectures
      are SMP-capable now).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  8 Sep 2006 01:49:54 +0100

base-installer (1.63ubuntu3) edgy; urgency=low

  * Backport from trunk:
    - Fix quoting so that LVM (but not crypto) installs don't break due to
      the lack of dmsetup-udeb.
  * Write out the resume partition as a UUID if possible.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jul 2006 12:01:17 +0100

base-installer (1.63ubuntu2) edgy; urgency=low

  * Fix handling of new initramfs-tools configuration directory.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 09:50:45 +0100

base-installer (1.63ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Jul 2006 20:47:10 +0100

base-installer (1.63) unstable; urgency=low

  * Set meta package as default kernel for S/390.
  * Remove code for determining KERNEL_ABI from testsuite as it is now unused
    and as it is broken anyway if the first wanted kernel is a meta package.
  * Be more conservative when setting a generic default for kernel selection.
  * Run vgscan in-target during create_devices as it needs /sys mounted; if
    not, the kernel can get loads of ghost RAID devices in /sys/block.
  * Avoid warnings from lvm2 tools about open file descriptors.

 -- Frans Pop <fjp@debian.org>  Tue, 11 Jul 2006 14:10:38 +0200

base-installer (1.62) unstable; urgency=low

  [ Martin Michlmayr ]
  * RiscPC has been renamed from riscpc to rpc.
  * Add RiscPC to the testsuite.

  [ Colin Watson ]
  * Add empty binary-indep target in debian/rules, per policy.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 03 Jul 2006 17:40:31 +0200

base-installer (1.61ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 11:20:06 +0100

base-installer (1.61) unstable; urgency=low

  [ David Härdeman ]
  * If we have any dm-crypt devices, install cryptsetup before the
    initramfs image is generated. Closes: #375928.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Frans Pop <fjp@debian.org>  Fri, 30 Jun 2006 13:55:39 +0200

base-installer (1.60) unstable; urgency=low

  * Support finish-install, both by installing the script there and for
    searching for templates in its namespace in the fallback code for
    post-base-installer hooks.

  [ Updated translations ]
  * Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Jun 2006 18:14:17 -0400

base-installer (1.59) unstable; urgency=low

  * Fix a mistake in the initramfs-tools confdir renaming code, thanks makx.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jun 2006 19:26:12 -0400

base-installer (1.58) unstable; urgency=low

  [ Joey Hess ]
  * Remove some unncessary debug logging.
  * Support initramfs-tools renaming its confdir by testing which directory
    exists. Required moving some code around so it runs only after
    initramfs-tools is installed.

  [ Bastian Blank ]
  * Use initrd for s390.
  * Update kernel list for s390.

 -- Bastian Blank <waldi@debian.org>  Thu,  1 Jun 2006 10:14:37 +0200

base-installer (1.57) unstable; urgency=low

  [ Frans Pop ]
  * Create devmapper device nodes in /target if these are used in the installer;
    needed for partman crypto (closes: #365747). Patch by Riku Voipio.
  * If root is encrypted, also create crypto device nodes. Patch by David
    Härdeman.

  [ Martin Michlmayr ]
  * Remove incomplete LART and BAST support.
  * Drop Riscstation since it's no longer supported in 2.6 kernels.

  [ Colin Watson ]
  * Rename install_kernel to install_linux, to allow for future ports to
    other systems.

  [ Christian Perrier ]
  * Split _Choices to __Choices in templates

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Sun, 14 May 2006 22:54:26 +0200

base-installer (1.56) unstable; urgency=low

  [ Frans Pop ]
  * Check /var/lib/register-module for modules that should be included in the
    initrd and add them to the proper config files for the different initrd
    generators. Based on patch by Jurij Smakov, for which thanks.

  [ Joey Hess ]
  * cdrom/codename split.
    Needs cdrom-detect 1.13, iso-scan 1.12.

  [ Updated translations ]
  * Dzongkha (dz.po) by Sonam Rinchen
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Leang Chumsoben
  * Dutch (nl.po) by Bart Cornelis
  * Russian (ru.po) by Yuri Kozlov
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 19 Apr 2006 19:41:27 +0200

base-installer (1.55) unstable; urgency=low

  * Switch to using initramfs-tools by default for sparc; not available on
    netinst CDs yet, but base-installer will select yaird in that case.
  * Add tests for 2.6 kernels for sparc32; smp still marked as not available.
  * Use default initramfs generator selection for remaining architectures that
    had a specific default.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * German (de.po) by Jens Seidel
  * Khmer (km.po) by hok kakada
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Cuhalev
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Frans Pop <fjp@debian.org>  Sun,  9 Apr 2006 22:26:50 +0200

base-installer (1.54) unstable; urgency=low

  * Fix logic when testing for initramfs generator.

 -- Frans Pop <fjp@debian.org>  Tue, 21 Mar 2006 22:43:19 +0100

base-installer (1.53) unstable; urgency=low

  * Allow initramfs generator selection to fall back to initrd-tools when
    Sarge is being installed. This was accidentally blocked in 1.46.
  * Add backwards support for Sarge kernels in function to select default
    kernel image (x86 only for now).
  * If no default kernel could be determined, ask the kernel selection
    question at high instead of medium priority.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide

 -- Frans Pop <fjp@debian.org>  Mon, 20 Mar 2006 18:37:19 +0100

base-installer (1.52) unstable; urgency=low

  * Rebuilt with new libd-i to get proper udeb dependency.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:07:09 -0500

base-installer (1.51) unstable; urgency=low

  * The archdetect string for the Broadcom BCM91250A evaluation board (aka
    "SWARM") got changed from sb1-swarm-bn to sb1-bcm91250a while the
    2.4 kernel uses the former.  Update the kernel selection and the
    test suite.
  * Remove kernel detection for LASAT since this machine was never
    supported.
  * Add kernel detection for 2.6 mips and mipsel kernels.
  * Add test suite entries for Broadcom BCM91480B evaluation board (aka
    "BigSur") and SGI O2 (IP32).
  * Add test suite entries for R3K and R4K based DECstations.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:28:27 +0000

base-installer (1.50) unstable; urgency=low

  * Add PPC970MP (actually PPC970*) and POWER5 to the list of powerpc64
    systems (closes: #339283, http://launchpad.net/bugs/35116).
  * Don't consider powerpc64 kernels usable on powerpc.
  * Update mips for 2.6. There's no r5k-ip22 kernel package any more in 2.6,
    but apparently the r4k-ip22 kernel works. Add r5k tests based on a
    cpuinfo from http://lists.debian.org/debian-mips/2001/08/msg00107.html.

  [ Updated translations ]
  * Hindi (hi.po) by Nishant Sharma
  * Albanian (sq.po) by Elian Myftiu

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Mar 2006 12:45:07 +0000

base-installer (1.49) unstable; urgency=HIGH

  * Move 00IgnoreTimeConflict creation so it happens for any type of apt
    source, this is needed so the apt-get update in base-installer's postinst
    works. Other settings of --ignore-time-conflict should be removed from
    the rest of d-i eventually.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Mar 2006 15:58:44 -0500

base-installer (1.48) unstable; urgency=low

  [ Christian Perrier ]
  * Add some comments for translators in templates.

  [ Frans Pop ]
  * Redirect stderr from apt-cache to avoid warnings in syslog.
  * Remove incorrect db_subst statement for no-generator template.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Hungarian (hu.po) by SZERVÑC Attila
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Sun,  5 Mar 2006 02:22:27 +0100

base-installer (1.47) unstable; urgency=low

  * Use initramfs-tools by default for hppa; yaird as alternative. Change is
    partly because of #353480, partly to get in line with other arches.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 23 Feb 2006 00:39:49 +0100

base-installer (1.46) unstable; urgency=low

  [ Frans Pop ]
  * Check if initramfs initrd generators are actually available before
    selecting a default.

  [ Colin Watson ]
  * Make apt-cdrom ignore time conflicts while verifying Release signatures
    (for those creating signed CDs).
  * Report error codes from failed hook scripts correctly.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja

 -- Frans Pop <fjp@debian.org>  Wed, 15 Feb 2006 21:57:24 +0100

base-installer (1.45) unstable; urgency=low

  * Fix kernel selection for s/390: arch_get_kernel_flavour needs to return
    a value for the postinst to generate a list of valid kernel images.
  * Enhance test suite to make sure arch_get_kernel_flavour returns a value.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÑC Attila

 -- Frans Pop <fjp@debian.org>  Wed,  8 Feb 2006 01:02:52 +0100

base-installer (1.44) unstable; urgency=low

  [ Joey Hess ]
  * Add debconf template for debootstrap NEWBASE message. Closes: #349626
  * Add comments for translators describing all the SUBSTn.

  [ Frans Pop ]
  * Add debconf templates for debootstrap NEWREQUIRED and REDUNDANTBASE
    messages.
  * kernel/powerpc.sh: the version variable is no longer used.

  [ Stephen R. Marenka ]
  * kernel/m68k.sh: updated to working with linux-image-*
  * Updated m68k tests to use linux-image-*.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Cuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed,  1 Feb 2006 15:52:52 +0100

base-installer (1.43) unstable; urgency=low

  [ Frans Pop ]
  * Fix empty option in initramfs generator list.
  * Add support for 2.6 kernels on alpha.
  * Fix kernel selection for alpha: arch_get_kernel_flavour needs to return
    a value for the postinst to generate a list of valid kernel images.

  [ Martin Michlmayr ]
  * Add support for 2.6 kernels on ARM.
  * Add support for NSLU2 (arm, armeb).
  * Add a test suite entry for mips/sb1-swarm-bn kernels.

  [ Steve Langasek ]
  * Add myself to uploaders.

 -- Steve Langasek <vorlon@debian.org>  Sat, 21 Jan 2006 21:55:53 -0800

base-installer (1.42ubuntu11) dapper; urgency=low

  * Backport from trunk (needed for netboot installs on clock-skewed
    machines):
    - Move 00IgnoreTimeConflict creation so it happens for any type of apt
      source. Other settings of --ignore-time-conflict should be removed
      from the rest of d-i eventually.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Apr 2006 17:34:59 +0100

base-installer (1.42ubuntu10) dapper; urgency=low

  * Run kernel_update_list before checking kernel overrides.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Apr 2006 08:52:22 +0100

base-installer (1.42ubuntu9) dapper; urgency=low

  * Update the kernel_update_list regex to match linux-server and
    linux-server-bigiron.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Apr 2006 18:54:45 +0100

base-installer (1.42ubuntu8) dapper; urgency=low

  * Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Apr 2006 23:12:14 +0100

base-installer (1.42ubuntu7) dapper; urgency=low

  * Allow preseeding base-installer/kernel/override-image to force a given
    kernel to be used (closes: Malone #31474).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Apr 2006 23:32:39 +0100

base-installer (1.42ubuntu6) dapper; urgency=low

  * Backport from trunk:
    - Add PPC970MP (actually PPC970*) and POWER5 to the list of powerpc64
      systems (closes: #339283, http://launchpad.net/bugs/35116).
    - Don't consider powerpc64 kernels usable on powerpc.
  * Fix trailing backslashes in a couple of tests.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Mar 2006 10:01:17 +0000

base-installer (1.42ubuntu5) dapper; urgency=low

  * Write resume partition to /target/etc/mkinitramfs/conf.d/resume, rather
    than editing a conffile. Requires initramfs-tools 0.40ubuntu23.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Feb 2006 10:25:27 +0000

base-installer (1.42ubuntu4) dapper; urgency=low

  * Add support for -amd64-server kernels on amd64 and -server and
    -server-bigiron kernels on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Feb 2006 09:37:11 +0000

base-installer (1.42ubuntu3) dapper; urgency=low

  * Backport from trunk (closes: Malone #30048):
    - Make apt-cdrom ignore time conflicts while verifying Release
      signatures (for those creating signed CDs).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Feb 2006 13:58:48 +0000

base-installer (1.42ubuntu2) dapper; urgency=low

  * Set up the default sources.list to look in -updates and -security (the
    latter from apt-setup/security_host) as well as the unadorned suite.
  * Look for linux-image-* as well as linux-* to make installs without
    restricted work better.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  9 Feb 2006 10:54:34 +0000

base-installer (1.42ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 20:37:23 +0000

base-installer (1.42) unstable; urgency=low

  [ Frans Pop ]
  * Fix typo in template names.

  [ Colin Watson ]
  * If an initramfs generator fails to install and we're installing sarge,
    then attempt to fall back to initrd-tools (closes: #344371).

  [ Frans Pop ]
  * Alternative solution for falling back to initrd-tools for sarge installs.
  * Also support -486 kernel image flavours for i386 as introduced with 2.6.15.
    Reliable detection of 486 processors is not possible, so continue treating
    386 and 486 as equivalent even if 386 is no longer supported.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Sat,  7 Jan 2006 23:13:53 +0100

base-installer (1.41ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Set base-installer/kernel/linux/initramfs-generators default to
    initramfs-tools for all architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Jan 2006 00:44:18 +0000

base-installer (1.41) unstable; urgency=low

  [ Frans Pop ]
  * Add support for different initramfs generators, allowing different
    defaults per architecture. If there are multiple values, allow the
    user to select one (depending on priority).
  * Enable initramfs generation for hppa.

  [ Joey Hess ]
  * Rework initramfs templates, remove the clumsy "initramfs initrd"
    construct; the fact that it's an initramfs is essentially an
    implementation detail that users do not need to worry about.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Talgat Daniyarov
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja

 -- Frans Pop <fjp@debian.org>  Fri, 30 Dec 2005 13:30:01 +0100

base-installer (1.40) unstable; urgency=low

  [ Frans Pop ]
  * Get codename from mirror/codename instead of determining it from SUITE.
    Requires: cdrom-detect >=1.11; choose-mirror >=1.16; iso-scan >=1.10.
  * Enable the use of initramfs-tools again now that it is in testing.

  [ Joey Hess ]
  * Move post install hooks to run after debootstrap but before the
    installation of the kernel and other extra packages. This allows
    this hook to be used for preseeding packages installed after debootstrap.
  * Avoid crashing the postinst if arch_get_kernel_flavour fails, this better
    supports the case of some unknown subarch since later tests will result
    in a warning message being shown to the user about there being no usable
    kernel.
  * Add guards around uses of FLAVOUR in case above change makes it be empty
    to prevent that breaking anything.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Dec 2005 22:40:25 -0500

base-installer (1.39ubuntu2) dapper; urgency=low

  * Restore usplash as base-installer/kernel/linux/extra-packages-2.6
    default.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Dec 2005 19:59:57 +0000

base-installer (1.39ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop Provides: target-base-system, since nothing depends on that any
    more.
  * Update some kernel versions in test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Nov 2005 18:58:51 +0000

base-installer (1.39) unstable; urgency=low

  * Use log-output for installing extra packages.

 -- Frans Pop <fjp@debian.org>  Fri, 18 Nov 2005 20:30:48 +0100

base-installer (1.38) unstable; urgency=low

  * Use log-output for apt-cdrom.

 -- Frans Pop <fjp@debian.org>  Fri, 18 Nov 2005 20:18:35 +0100

base-installer (1.37) unstable; urgency=low

  * Remove sigchld handler in run_debootstrap. It caused it to stop processing
    before it got to debootstrap error messages, so useful error messages
    were not displayed. Closes: #337191
  * Temporarily switch back to using initrd-tools for 2.6, until
    initramfs-tools is in testing.

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Nov 2005 13:02:56 -0500

base-installer (1.36) unstable; urgency=low

  [ Joey Hess ]
  * Remove mkinitrd.conf hacking code that worked around bugs in the woody
    version, not supported by this version of d-i.

  [ Frans Pop ]
  * Support defining multiple prefered kernel versions. This allows
    base-installer to install a kernel-image meta package even if the first
    preference is not available.

  [ Joey Hess ]
  * Force APT::Authentication::TrustCDROM to true so that apt 0.6.42 will
    install from Debian CDs again.

  [ Frans Pop ]
  * Re-implement the use of log-output using the new version written in C.
  * Remove hard-coded redirection to /var/log/messages in run-debootstrap so
    that log-output in the postinst can do its work.

  [ Joey Hess ]
  * Remove code that munged/demunged Packages and Release filename in the
    cache for debootstrap, since debootstrap no longer does that munging.

  [ Frans Pop ]
  * Use a cdrom: source line in apt instead of a file: source line to make
    apt's TrustCDROM option actually work. Make sure sources.list is empty
    before running apt-cdrom.
  * Make sure that neither apt-cdrom or apt unount/mount CD-ROMs; needed to
    make cdrom: source lines also work with CD images.

  [ Joey Hess ]
  * Display fallback warning messages as using an error template instead
    of in the progress bar, since they can be arbitrarily bad. Warnings that
    have a template (ie, the download retry warning) still display as progress
    bar updates.
  * Delete any cruft left behind by a past debootstrap run in
    /target/var/lib/apt. This avoids a problem where 1) debootstrap is run
    before dinstall 2) Packages file download fails and aborts the run 3)
    debootstrap is re-run after dinstall, does not refresh Release file, and
    fails since the new Packages file it does download has a m5sum mismatch
    with the old Release file. (Ah, the joys of running d-i on dialup..)

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm migration.

  [ Colin Watson ]
  * Fix code to avoid -smp variants on powerpc64.
  * Support configuring initramfs-tools rather than initrd-tools, and make
    that the default when installing 2.6. We still use initrd-tools on hppa
    and ia64, as the most current information I have indicates that
    initramfs-tools doesn't work there; porters should feel free to update
    this. I've left notes for where I think yaird could best be slotted in.
  * Allow extra packages to be installed along with init*-tools, controlled
    by base-installer/kernel/linux/extra-packages* templates. This allows
    derivatives to install initramfs hooks such as usplash.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po)
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

  [ Frans Pop ]
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Tue, 15 Nov 2005 20:36:19 +0100

base-installer (1.35) unstable; urgency=low

  * Set LOGFILE in postinst to complete reversion in 1.34.

 -- Frans Pop <fjp@debian.org>  Sun,  2 Oct 2005 18:33:52 +0200

base-installer (1.34) unstable; urgency=low

  * Revert all other uses of log-output as they also seem to
    cause a hang (closes: #331240).

  * Updated translations:
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (pt.po) by Miguel Figueiredo

 -- Frans Pop <fjp@debian.org>  Sun,  2 Oct 2005 17:52:53 +0200

base-installer (1.33) unstable; urgency=low

  * Revert use of log-output when running debootstrap as it seems to
    cause a hang.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Sep 2005 20:16:17 -0400

base-installer (1.32) unstable; urgency=low

  * Use log-output throughout. Notably this means that debootstrap output is
    sent to syslog now, approptiatly flagged as such.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 16:20:33 +0200

base-installer (1.31) unstable; urgency=low

  [ Bdale Garbee ]
  * update hppa to 2.6.12 kernels
  * add logic to support selection of SMP vs uniprocessor on hppa
  * fix kernel selection logic and related test suite, all tests pass now!

  [ Joey Hess ]
  * Turn link_in_boot back off for i386 and on for amd64 as well, as
    lilo-installer doesn't work wit it. Closes: #329994

  * Updated translations:
    - Catalan (ca.po) by Guillem Jover
    - Danish (da.po) by Claus Hindsgaul
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 15:39:47 +0200

base-installer (1.30) unstable; urgency=low

  * Switch i386 and ia64 to use linux-image-2.6-<foo> for
    base-installer/kernel/image-2.6. Now that debian-cd always includes these
    packages, this should be safe to do. On i386 this solves the issue of
    base-installer failing to install linux-image-2.6-686 as it is not
    on the netinst CD, and then falling back to linux-image-2.6.12-686 which
    was the previous default value. With the new default the installed system
    will properly track minor kernel revisions automatically.
  * Deal with similar issues on amd64.
  * Fix name of base-installer/kernel/linux/link_in_boot. Closes: #329391

  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Galician (gl.po) by Jacobo Tarrio
    - Dutch (nl.po) by Frans Pop

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Sep 2005 18:39:59 +0200

base-installer (1.29) unstable; urgency=low

  [ Frans Pop ]
  * Correct postinst code to look for kernel-image and linux-image
    packages (solution proposed by ths).

  * Updated translations:
    - Basque (eu.po) by Piarres Beobide

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Sep 2005 13:18:08 -0400

base-installer (1.28) unstable; urgency=low

  [ Joey Hess and Frans Pop ]
  * In the postinst, look for new linux-image packages as well as old
    kernel-image packages.
  * In the fallback template, switch preferred i386 kernel to
    linux-image-2.6.12-1-386.
  * For i386 and sparc, make arch_get_kernel return linux-image packages
    for 2.6 kernels, while still using kernel-image packages for 2.4.
  * Switch a few missing ia64 pieces over to linux-image kernels.
  * Note that amd64, hppa, etc are still preferring the old
    linux-image packages in arch_get_kernel and should be updated.

  * Updated translations:
    - Basque (eu.po) by Piarres Beobide
    - Italian (it.po) by Giuseppe Sacco
    - Kurdish (ku.po) by Erdal Ronahi
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Sep 2005 14:12:36 -0400

base-installer (1.27) unstable; urgency=low

  * Set KERNEL in the case where we continue w/o installing a kernel.

  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - French (fr.po) by Christian Perrier
    - Japanese (ja.po) by Kenshi Muto
    - Bokmål, Norwegian (nb.po) by Bjørn Steensrud
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Aug 2005 16:46:16 -0400

base-installer (1.26) unstable; urgency=low

  * All ads* subarches collapsed into one.
  * If there is no usable kernel found, allow the user to choose to continue
    w/o installing a kernel.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Aug 2005 11:09:16 -0400

base-installer (1.25) unstable; urgency=low

  [ Colin Watson ]
  * Make failed-initrd-tools-install template a little more generic, for
    future expansion (e.g. initramfs-tools).

  [ Sven Luther ]
  * Upgraded powerpc kernel choser to handle powerpc64 case, 2.6.12 kernels
    and the linux-image* rename. I guess we should support pseudo packages
    now, and the current code breaks because abi-names where introduced.
    Since we are no longer supporting 2.4 powerpc kernels, this should go
    also.

  [ Joey Hess ]
  * Remove unused base-installer/kernel/no-kernel template.
  * Support installing no kernel at all if the user doesn't want one.
    Closes: #304802, #247765
  * Support ADS arm boards by installing no kernel, since no usable kernel is
    in Debian for them yet.
  * Add a test case for an ADS VGX board.
  * Update test suite to not fail powerpc after Sven's changes above.

  * Updated translations:
    - Danish (da.po) by Claus Hindsgaul
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Bokmål, Norwegian (nb.po) by Bjørn Steensrud
    - Portuguese (pt.po) by Miguel Figueiredo
    - Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 13:05:16 -0400

base-installer (1.24) unstable; urgency=low

  * Turn link_in_boot on for both i386 and amd64. They should be the same,
    and Kamion points out turning it off for amd64 is a regression.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Aug 2005 16:41:30 -0400

base-installer (1.23) unstable; urgency=low

  * Avoid using dmesg to guess if the machine is smp on alpha, amd64, and
    i386, since the ring buffer can overflow. Instead, use the new numcpus
    file written by rootskel on these three architectures.
    Closes: #228252, #247371
  * The new smp detection will work too, unlike the old code. Closes: #246483
  * Depend on new enough rootskel.
  * Fix some messages that referred to the debootstrap error log for
    non-debootstrap errors.
  * Move link_in_boot here from rootskel, and rename it to
    base-installer/kernel/linux/link_in_boot. Stuff that assumes it is on
    the initrd will need to be updated.
  * Turn off link_in_boot for amd64 to be same as i386.
  * Parameterise NUMCPUS so the test suite can work.

  * Updated translations:
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Holger Wansing
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Persian (fa.po) by Arash Bijanzadeh
    - French (fr.po) by Christian Perrier
    - Galician (gl.po) by Jacobo Tarrio
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Aug 2005 16:05:39 -0400

base-installer (1.22) unstable; urgency=low

  * debootstrap can now install to unclean targets, mostly, so reword the
    warnings about it and allow the user to choose to do that even at high
    priority.

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jul 2005 09:42:21 +0200

base-installer (1.21) unstable; urgency=low

  [ Colin Watson ]
  * Give debian/templates the same mtime as debian/templates-arch, so that
    po2debconf doesn't decide that it needs to run debconf-updatepo on
    every binary package build.
  * If gpgv and a keyring are installed, enable debootstrap's Release
    signature checking.

  [ Joey Hess ]
  * Switch i386 to 2.6.11. (Fallback only though.)

  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Slovak (sk.po) by Peter Mann
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Jul 2005 21:36:26 +0300

base-installer (1.20ubuntu7) breezy; urgency=low

  * Drop back to initrd-tools on hppa and ia64, where initramfs-tools
    doesn't quite work yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 00:13:36 +0100

base-installer (1.20ubuntu6) breezy; urgency=low

  * Update fuzzy and missing translations from Rosetta (with some strings
    from Debian where available): Greek, Spanish, Finnish, French,
    Hungarian, Dutch, Brazilian Portuguese, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 21:13:40 +0100

base-installer (1.20ubuntu5) breezy; urgency=low

  * Control usplash installation by a template
    (base-installer/kernel/linux/extra-packages-2.6) so that it can be
    disabled for server installations.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2005 15:49:00 +0100

base-installer (1.20ubuntu4) breezy; urgency=low

  * Don't fall over if usplash doesn't exist (e.g. on powerpc).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Sep 2005 11:02:07 +0100

base-installer (1.20ubuntu3) breezy; urgency=low

  * Install usplash along with initramfs-tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 14:45:35 +0100

base-installer (1.20ubuntu2) breezy; urgency=low

  * Support configuring initramfs-tools rather than initrd-tools, and make
    that the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2005 20:56:19 +0100

base-installer (1.20ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2005 12:33:47 +0100

base-installer (1.20) unstable; urgency=low

  * dann frazier
    - Update arch_get_kernel_flavour() for ia64 so that it keys off of
      processor features instead of the family string.  This method should
      remain relatively static as new processors (and new kernels that
      can properly identify them) come out.  Specifically, use the mckinley
      flavor for any processor that supports the branchlong feature.  Only
      Itanium I chips do not support it.
  * Joey Hess
    - debootstrap (0.3.1) logs to /var/log/bootstrap.log in the target,
      so change debconf messages about log files to point to here. No
      provision is made for putting that log onto a virtual console.
    - Added progress and info templates for new debootstrap for downrelsig,
      downmainpkgs, releasesig, validrelsig, resolvebase, resolvereq,
      and checkingsizes. Did not bother with newbase, newrequired, and
      redundantbase since they're more like debugging messages.
    - Remove error template for notpredl, unknownloc, and interrupted, since
      these are internal errors that should not happen normally (and there
      are many other internal errors we do not translate).
    - Add error templates for nogetrelsig and unknownrelsig.
    - Remove debootstrap template for check_target and checkingsize,
      which are not used by debootstrap 0.3.1 anymore.
    - Improve run-debootstrap's warning handling, display warning on progress
      bar. However, this is untested, since debootstrap's warning code is
      a bit broken (bug filed).
    - Add warning template for the only currently useful warning, for retrying
      a failed download.
    - Build run-debootstrap with -Os and -fomit-frame-pointer.
    - Try to keep base system dependency issues from breaking the installer
      by passing --resolve-deps to debootstrap. Aj recommends we turn this
      back off before stable releases though.
    - Avoid some hardcoded paths.
    - Remove some unnecessary functions that just thunk to other arch-specific
      functions.
  * Christian Perrier
    - Minor change to templates: s/Release signed/Release file signed
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Jun 2005 02:35:36 -0400

base-installer (1.19ubuntu2) breezy; urgency=low

  * Install powerpc64-smp kernels instead of power3/power4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jun 2005 13:04:43 +0100

base-installer (1.19ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Fix kernel selection on single-processor sparc systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 14:26:42 +0100

base-installer (1.19) unstable; urgency=low

  * Colin Watson
    - Start run-debootstrap progress bar at the appropriate waypoint rather
      than going back to the start (closes: #277949).
    - In templates, say "install the base system" rather than "install
      Debian", and "the base system" rather than "the Debian base system",
      to help with derivative distribution branding.
    - Make apt-get use gpgv --ignore-time-conflict to avoid validation
      errors with apt 0.6 due to clock problems (Linux Mint #8496).
  * Matt Zimmerman
    - Create ubd devices in create_devices() if installing under UML
      (closes: #258307).
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po)
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Jun 2005 12:57:37 +0100

base-installer (1.18) unstable; urgency=low

  * Colin Watson
    - Redirect output from base-installer hooks properly.
    - Clarify and expand base-installer/debootstrap/error/couldntdl text to
      try to answer frequent problems such as badly burned CDs.
    - Add a post-base-installation hook: scripts in
      /usr/lib/post-base-installer.d/ will be run after the base system
      installation is complete. This allows locales to be created earlier,
      thereby silencing warnings from code that chroots into /target before
      prebaseconfig runs.
    - Use C-style comments in run-debootstrap.
    - List both starting and ending percentages for waypoints, in order to
      be able to support multiple paths in the event of changes to
      debootstrap.
    - Add necessary waypoints and strings to cope with the debootstrap
      granularity patch (#244563).
    - Work out the largest swap partition, if any, and use its devfs-mapped
      name as the value of RESUME= in /etc/mkinitrd/mkinitrd.conf.
  * Joey Hess
    - Call archdetect command instead of using template to get subarch.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po)
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 May 2005 00:43:59 +0100

base-installer (1.17) unstable; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Colin Watson
    - Bump kernel defaults to 2.4.27-2 and 2.6.8-2 for i386, ia64, and s390.
      hppa is still trailing behind at 2.6.8-1.
    - Use major version of target kernel rather than installation kernel to
      work out whether to use an initrd or (on powerpc) to run mkvmlinuz.
    - Parameterise access to files in /proc by kernel/*.sh, allowing the
      test suite to run without sudo access or a chroot. 'make test' in
      kernel/ should be easily runnable by everyone now.
    - If run with TEST_VERBOSE=0, the test suite produces no output except
      on errors.
    - kernel/tests/runtests and 'make test' in kernel/ exit non-zero on
      errors.
    - Run test suite automatically on package build.
    - Install kernel-latest-powerpc metapackages.
  * Matt Kraai
    - Fix the spelling of "file system".
  * Steve Langasek
    - Bump kernel defaults to 2.4.27-2 for alpha, and to 2.6.8-2 for hppa.
    - Update kernel test directory to match.
  * Sven Luther
    - 2.4.27-3 powerpc kernel now produces only one kernel-image-2.4.27-powerpc
      package, so dropped the pmac/chrp/chrp-rs6k/prep handling from
      kernel/powerpc.sh.
    - Removed mkvmlinuz explicit install, as all kernel-images (2.4.27-3,
      2.6.8-11 and 2.6.10-3) now depend on mkvmlinuz.
  * Christian Perrier
    - Remove extra space in templates. Closes: #305775
  * Frans Pop
    - sparc32 kernels are not usable on sparc64. Closes: #297740
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Stefano Canepa
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 May 2005 18:24:54 +0100

base-installer (1.16) experimental; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Colin Watson
    - Add G5 PowerMac7,3 tests based on /proc/cpuinfo provided by Shyamal
      Prasad.
    - Prefer SMP kernels on multi-processor powerpc systems.
    - Improve kernel selection for Transmeta Crusoe i386 systems.
  * Updated translations:
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Hctor Fenndez Lpez
    - Italian (it.po) by Davide Meloni
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Dmitry Beloglazov

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Jan 2005 13:44:27 +0000

base-installer (1.15ubuntu17) hoary; urgency=low

  * Update Danish translation (thanks, Frederik Dannemare).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Apr 2005 00:43:49 +0100

base-installer (1.15ubuntu16) hoary; urgency=low

  * Make apt-get use gpgv --ignore-time-conflict to avoid validation errors
    due to clock problems (Linux Mint #8496).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 18:49:42 +0100

base-installer (1.15ubuntu15) hoary; urgency=low

  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:22:53 +0100

base-installer (1.15ubuntu14) hoary; urgency=low

  * Add a post-base-installation hook: scripts in
    /usr/lib/post-base-installer.d/ will be run after the base system
    installation is complete.
  * Update Romanian translation (thanks, Ovidiu Damian).
  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 15:46:10 +0100

base-installer (1.15ubuntu13) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:19:03 +0100

base-installer (1.15ubuntu12) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:04:14 +0000

base-installer (1.15ubuntu11) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:21:01 +0000

base-installer (1.15ubuntu10) hoary; urgency=low

  * Don't install mkvmlinuz on Pegasos, since that has yaboot support with
    Open Firmware version 2005.03.10-beta or later.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2005 11:16:22 +0000

base-installer (1.15ubuntu9) hoary; urgency=low

  * Provide target-base-system (i.e. base system installed in /target, also
    provided by casper).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:00:18 +0000

base-installer (1.15ubuntu8) hoary; urgency=low

  * Better version of get_resume_partition that protects against using swap
    files for RESUME= (thanks, Jeff Bailey; closes: Linux Mint #7474).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Mar 2005 17:27:59 +0000

base-installer (1.15ubuntu7) hoary; urgency=low

  * Work out the largest swap partition, if any, and use its devfs-mapped
    name as the value of RESUME= in /etc/mkinitrd/mkinitrd.conf.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Mar 2005 05:19:23 +0000

base-installer (1.15ubuntu6) hoary; urgency=low

  * Fix syntax error in configure_apt.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 14:37:29 +0000

base-installer (1.15ubuntu5) hoary; urgency=low

  * Tweak kernel_update_list to list more general metapackages first, and
    stop listing kernel-image-*.
  * If the ideal kernel isn't available, just pick the first on the list
    rather than trying to match up kernel versions.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Mar 2005 13:11:31 +0000

base-installer (1.15ubuntu4) hoary; urgency=low

  * Update Polish branding (thanks, Piotr Szotkowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Feb 2005 11:56:32 +0000

base-installer (1.15ubuntu3) hoary; urgency=low

  * Use linux-* kernels on hppa.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jan 2005 15:26:58 +0000

base-installer (1.15ubuntu2) hoary; urgency=low

  * Enable debootstrap Release.gpg checking. Add matching
    base-installer/debootstrap/section/downrelsig template.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jan 2005 18:18:26 +0000

base-installer (1.15ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Fixed amd64-xeon kernel selection.
  * Fixed tests to pass for Linux Mint on all but sparc (no sparc64 tests yet).

 -- Colin Watson <cjwatson@canonical.com>  Sun, 16 Jan 2005 21:01:45 +0000

base-installer (1.15) experimental; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Colin Watson
    - Recognise POWER4+ and PPC970FX cpuinfo entries as power4 systems.
    - Only look at the first cpu line in cpuinfo on powerpc.
    - Add chrp_rs6k tests based on /proc/cpuinfo provided by Cajus
      Pollmeier.
    - Use backslash-continuations in tests to simplify future diffs.
    - Include "kernel-image-" stem in tests, to help with derivative
      distributions like Linux Mint that use a different stem.

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Jan 2005 15:41:53 +0000

base-installer (1.14ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
    - Note that the kernel selection test suite currently fails with our
      changes. This needs work upstream to support different kernel-image
      stems more easily.
  * Remove all the per-architecture defaults from
    base-installer/kernel/image-2.6, since they should no longer be needed.
  * Adapt kernel selection for supported architectures to use linux-*
    kernels.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 23 Dec 2004 22:56:14 +0000

base-installer (1.14) experimental; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Frans Pop
    - Add sanity check in postinst for empty COMPONENTS to guard against
      ugly and difficult to trace errors from debootstrap. Closes: #283510.
  * Joey Hess
    - Moved debian-installer/kernel/image, debian-installer/kernel/image-2.6,
      debian-installer/kernel/linux/initrd,
      debian-installer/kernel/linux/initrd-2.6 from rootskel.
  * Colin Watson
    - Merge experimental kernel selection improvements branch:
      + Consolidate all the uname calls to find the kernel version into one
        place.
      + Split per-architecture kernel handling out of the postinst into one
        script per architecture, with an interface to the postinst that
        allows base-installer to pick a usable kernel even if the one it
        actually wants isn't on the CD. See kernel/README.
      + Add a test suite for kernel selection. See kernel/tests/README.
      + Make sure all the kernels displayed in
        base-installer/kernel/which-kernel are usable.
    - Use chrp 2.4 kernel on all powerpc chrp* subarchitectures, even
      chrp-rs6k. The chrp-rs6k 2.4 kernel is to be removed.
    - Fix arch_get_kernel output on s390, and explicitly disallow -s390-tape
      and -s390x (documenting why).
    - Map lasat subarchitecture to r5k-lasat flavour on mipsel.
    - Rename debian-installer/kernel/* to base-installer/kernel/*.
  * Martin Michlmayr
    - Add tests for various mips and mipsel subarchitectures.
  * Updated translations:
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Italian (it.po) by Davide Meloni
    - Dutch (nl.po) by Bart Cornelis
    - Romanian (ro.po) by Eddy Petrisor

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Dec 2004 17:52:20 +0000

base-installer (1.13ubuntu3) hoary; urgency=low

  * Recognise linux-itanium*, linux-mckinley*, and linux-sparc* as
    installable kernels.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Dec 2004 10:40:46 +0000

base-installer (1.13ubuntu2) hoary; urgency=low

  * Use linux-* kernels on ia64 and sparc.
  * Remove sparc32 support, since we don't build kernels for it.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Dec 2004 23:31:16 +0100

base-installer (1.13ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Update Finnish branding.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  9 Nov 2004 23:28:10 +0000

base-installer (1.13) unstable; urgency=low

  * Bdale Garbee
    - fix up hppa clause in postinst to get kernel package name right for 2.6
  * Colin Watson
    - Install 2.4.27 apus kernels.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Oct 2004 18:23:34 +0100

base-installer (1.12ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Update Linux Mint branding.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 28 Oct 2004 18:22:20 +0100

base-installer (1.12) unstable; urgency=low

  * Frans Pop
    - Do not append '-speakup' to kernel version when setting
      trykernel for speakup. Closes: #275075

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 2004 19:52:41 -0400

base-installer (1.11) unstable; urgency=low

  * Updated translations:
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:49:43 -0400

base-installer (1.10) unstable; urgency=low

  * Thiemo Seufer
    - Don't hardcode the kernel version for r5k-ip32 to 2.6.
    - Use more generic 2.6 kernel package versioning for mips/mipsel.
  * Joey Hess
    - Look for /proc/speakup on i386 and if a speakup kernel is running,
      try to install a speakup kernel image. Closes: #275075

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 17:00:46 -0400

base-installer (1.09) unstable; urgency=low

  * Joey Hess
    - Turn off backup capability while asking about install to unclean target.
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Davide Meloni
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sat,  2 Oct 2004 11:13:18 -0400

base-installer (1.08) unstable; urgency=low

  * Frederik Schüler
    - Updated base-installer postinst for amd64 to install new em64t flavours
      on intel boxen.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Swedish (sv.po) by Per Olofsson

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Sep 2004 05:33:21 +0200

base-installer (1.07) unstable; urgency=low

  * Bdale Garbee
    - change the postinst for hppa to try using the same version kernel that
      d-i is running by default instead of hard-coding 2.4.26

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Sep 2004 10:32:14 -0600

base-installer (1.06) unstable; urgency=low

  * Joey Hess
    - Fix progress bar takedown if backing up from the kernel selection
      question.
    - Patch from Frans Pop to improve progress bar information when installing
      kernel and extra packages. Closes: #270969
  * Sven Luther
    - Moved powerpc kernels to 2.6.8/2.4.27.
  * Colin Watson
    - Add guard against overflow of progress bar sections.
  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - French (fr.po) by French Team
    - Portuguese (pt.po) by Miguel Figueiredo
  * Norbert Tretkowski
    - Moved alpha kernel to 2.4.27

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 17:27:32 -0400

base-installer (1.05) unstable; urgency=low

  * Martin Michlmayr
    - Don't hardcode the kernel version for ARM but use the version of the
      running kernel.
  * Joey Hess
    - Resetting questions breaks preseeding, as the preseeded value is lost
      and the question is marked as not seen. So only reset questions after
      displaying them so the preseeding can take effect the first time.
    - Preseeding of base-installer/use_unclean_target will now work.
    - Don't fset seen flags.
    - Set DEBCONF_ADMIN_EMAIL to "" to prevent debconf from mailing notes to
      user mail about hotplug and so on. Closes: #269804
  * Bastian Blank
    - Use version of running kernel on s390.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VERÓK István
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Matjaz Horvat
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 20:37:58 -0400

base-installer (1.04) unstable; urgency=low

  * Joshua Kwan
    - Pave the way for 2.6 installs on sparc.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Norwegian (nn.po) by Håvard Korsvoll

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 28 Aug 2004 01:21:17 -0700

base-installer (1.03) unstable; urgency=low

  * Colin Watson
    - Add amd64 kernel selection support (2.6 only).
  * Christian Perrier
    - Rename templates file to base-installer.templates
  * Kenshi Muto
    - Mark some templates strings for translation.
  * Christian Perrier
    - s/CD/CD-ROM in templates
    - reworded the new translatable templates
  * dann frazier
    - default to the latest version of whatever major kernel revision stream
      was used by the installer on ia64 (use the latest 2.6 if the install
      kernel was a 2.6).
    - add myself to Uploaders

 -- dann frazier <dannf@debian.org>  Sat, 28 Aug 2004 00:20:54 -0600

base-installer (1.02) unstable; urgency=low

  * Joey Hess
    - Check to see if the hook directory exists before running scripts
      from it, to avoid mess on stderr.
  * Thomas Poindessous
    - Fix the selection of x86 2.6 kernel. There are no more 2.6-586tsc
      and 2.6-k6 kernels. Closes: #257411
  * Updated translations:
    - German (de.po) by Dennis Stampfer

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Aug 2004 14:51:14 -0400

base-installer (1.01) unstable; urgency=low

  * Sven Luther
    - added mkvmlinuz call to /etc/kernel-img.conf.
    - removed the manual mkvmlinuz call since it is no more necessary.

 -- Sven Luther <luther@debian.org>  Thu, 29 Jul 2004 15:30:22 +0200

base-installer (1.00) unstable; urgency=low

  * Martin Michlmayr
    - Add a kernel for mips/r5k-ip32; even though it is not in Debian,
      this makes it easier to support this sub-arch through an
      unofficial apt archive.
  * Updated translations:
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - Danish (da.po) by Frederik Dannemare
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Croatian (hr.po) by Krunoslav Gernhard
    - Italian (it.po) by Davide Meloni
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:08:20 -0400

base-installer (0.093) unstable; urgency=low

  * Colin Watson
    - Use kernel-image-2.4-* on ia64.
  * dann frazier
    - fix ia64 family selection to correctly identify mckinley family boxes
    - add ia64 smp detection support
  * Thiemo Seufer
    - Don't hardcode the kernel version for mips, mipsel.
  * Updated translations:
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - Bosnian (bs.po) by Safir Šećerović
    - Croatian (hr.po) by Kruno
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jul 2004 15:22:24 -0400

base-installer (0.092) unstable; urgency=low

  * Sven Luther
    - Cleaned cruft left over at build time.

 -- Sven Luther <luther@debian.org>  Thu,  8 Jul 2004 08:03:06 +0200

base-installer (0.091) unstable; urgency=low

  * Sven Luther
    - Fixed broken postinst script.

 -- Sven Luther <luther@debian.org>  Tue,  6 Jul 2004 23:58:07 +0200

base-installer (0.090) unstable; urgency=low

  * Sven Luther
    - Fixed mkvmlinuz invocation typo.

 -- Sven Luther <luther@debian.org>  Tue,  6 Jul 2004 13:11:33 +0200

base-installer (0.089) unstable; urgency=low

  * Colin Watson
    - Fix sed syntax error while fiddling with mkinitrd.conf.
    - Squash a syslog warning if /proc/mdstat doesn't exist.
  * Sven Luther
    - mkvmlinuz don't like to be run at strange places,
      call it from inside the chroot

 -- Sven Luther <luther@debian.org>  Tue,  6 Jul 2004 10:48:19 +0200

base-installer (0.088) unstable; urgency=low

  * Martin Michlmayr
    - Install s390 kernels on s390.  Closes: #257301
  * Joey Hess
    - Add a check for the case where the CD is not installable, and there is
      no mirror configured, display a sensible error instead of crashing.
  * Colin Watson
    - Bump powerpc 2.6 to 2.6.7.
    - Fix kernel selection on powerpc 2.6.
    - Fix syntax error in pre-debootstrap hook.
  * Sven Luther
    - Add prep and chrp kernel with builtin initrd support for 2.6.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Hungarian (hu.po) by VERÓK István
    - Korean (ko.po) by Changwoo Ryu
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Yuri Kozlov
    - Albanian (sq.po) by Elian Myftiu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Jul 2004 18:05:46 +0100

base-installer (0.087ubuntu13) warty; urgency=low

  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Martin Pitt
    - Greek (el.po) by Logiotatidis George
    - French (fr.po) by VETSEL Patrice

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 12:43:32 +0100

base-installer (0.087ubuntu12) warty; urgency=low

  * Install kernel metapackages from the linux-meta source package (closes:
    Linux Mint #2136).
  * Remove install_restricted_modules, no longer necessary due to the above.
  * Fix syntax error in install_base_system.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 12:26:26 +0100

base-installer (0.087ubuntu11) warty; urgency=low

  * Fix sed syntax error while fiddling with mkinitrd.conf.
  * Clarify and expand base-installer/debootstrap/error/couldntdl text
    (closes: Warty #1350).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 15:21:07 +0100

base-installer (0.087ubuntu10) warty; urgency=low

  * Properly comma-separate component list to fix non-CD installs (closes:
    Warty #1224).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Sep 2004 20:22:17 +0100

base-installer (0.087ubuntu9) warty; urgency=low

  * Try to install an appropriate linux-restricted-modules package (closes:
    Warty #1210).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Sep 2004 15:19:01 +0100

base-installer (0.087ubuntu8) warty; urgency=low

  * Add base-installer/debootstrap/info/unpackbase and
    base-installer/debootstrap/info/confbase templates, to get rid of ugly
    things like "Configuring required packages: Unpacking the base
    system...".

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 22:49:49 +0100

base-installer (0.087ubuntu7) warty; urgency=low

  * Fix kernel_update_list not to fail if there are no kernel-image
    packages.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 13:06:12 +0100

base-installer (0.087ubuntu6) warty; urgency=low

  * Move powerpc to linux-image-*. Simplify, given that the only
    linux-image-* kernels for powerpc have no subarchitecture stuff in their
    names, only CPU families.
  * Add amd64 kernel selection support.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 02:22:12 +0100

base-installer (0.087ubuntu5) warty; urgency=low

  * Support linux-image-* kernel packages as well as kernel-image-*.
  * Fix i386 kernel selection; 586tsc and k6 kernels no longer exist (Debian
    bug #257411).
  * Move i386 to linux-image-* (Linux Mint-only, won't work with Debian).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 12:38:08 +0100

base-installer (0.087ubuntu4) warty; urgency=low

  * Colin Watson
    - Adapt waypoints and templates for new, more granular debootstrap.
    - Guard against overlong progress bars.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 20 Aug 2004 15:41:13 +0100

base-installer (0.087ubuntu3) warty; urgency=low

  * Colin Watson
    - Fixed Lithuanian translation of "Linux Mint", per Steve Alexander.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 17:07:33 +0100

base-installer (0.087ubuntu2) warty; urgency=low

  * Tollef Fog Heen
    - Linux Mint branding.
  * Colin Watson
    - Unfuzzy and/or update most translations.
    - Get the location of the CD-ROM archive from a debconf question rather
      than just using /cdrom; this is a little hacky, but provides a hook
      for archive-copier.

 -- Colin Watson <cjwatson@flatline.org.uk>  Thu, 12 Aug 2004 17:16:27 +0100

base-installer (0.087ubuntu1) warty; urgency=low

  * Create ubd devices in create_devices() if installing under UML

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jul 2004 11:28:32 -0700

base-installer (0.087) unstable; urgency=low

  * Otavio Salvador
    - Add hook to be called before debootstrap is run.
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek (el.po) by George Papamichelakis
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Otavio Salvador <otavio@debian.org>  Fri, 25 Jun 2004 10:51:31 -0300

base-installer (0.086) unstable; urgency=low

  * Martin Michlmayr
    - Only install LVM and create LVM device nodes when the device
      mapper module is loaded.
    - "vgscan --mknodes" can return 5 under some circumstances, so
      use || true in order not to error out.
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Turkish (tr.po) by Osman Yüksel

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Jun 2004 14:28:06 +0100

base-installer (0.085) unstable; urgency=low

  * Martin Michlmayr
    - Create LVM devices before installing the kernel, otherwise mkinitrd
      will fail if the root device is on LVM (closes: #232827, #237466,
      #247051, #247213, #245546, #249311).
    - Install mdadm before installing the kernel otherwise mkinitrd will
      fail (closes: #247819, #250820, #253843).
  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Romanian (ro.po) by Eddy Petrisor
    - Turkish (tr.po) by Osman Yüksel

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 18 Jun 2004 19:24:04 +0100

base-installer (0.084) unstable; urgency=low

  * Joey Hess
    - Add a template for debootstrap's BASESUCCESS info string, so it can be
      translated. This string was added in a recent version of debootstrap.
      (Yes, the changelog says I did this in 0.080, but it seems the change
      went missing.)
  * Steve Langasek
    - s/2.4.26/2.4.26-1/ for alpha
  * Colin Watson
    - Pick 32- or 64-bit kernels as appropriate on hppa (closes: #254073).
    - Add myself to Uploaders.
  * Updated translations:
    - Finnish (fi.po) by Tapio Lehtonen
    - Romanian (ro.po) by Eddy Petrisor

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jun 2004 16:23:55 +0100

base-installer (0.083) unstable; urgency=low

  * Steve Langasek
    - Bump alpha to 2.4.26
  * Thiemo Seufer
    - Bump mips, mipsel to 2.4.26.
  * Joey Hess
    - Stop using df to find the /target partition (failed on 100 gb drives
      due to field width issues), and make the file system type be found in
      a way that is less prey to false positives.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Jun 2004 16:44:12 -0400

base-installer (0.082) unstable; urgency=low

  * Petter Reinholdtsen
    - Move code installing language dependent packages into package
      languagechooser. (Closes: #244019)
  * Colin Watson
    - Bump powerpc 2.6 to 2.6.6.
  * Updated translations:
    - Basque (eu.po) by Piarres Beobide Egaña
    - Polish (pl.po) by Bartosz Fenski

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:47:13 -0300

base-installer (0.081) unstable; urgency=low

  * Denis Barbier
    - postinst: Turkish needs console-terminus (font ter-916f)
  * Stephen R. Marenka
    - Fix 2.2 kernel using cdrom.
  * Colin Watson
    - Install the G5 kernel on PPC970 machines when installing 2.6. (I think
      this is an accurate enough test, but if not we'll have to read through
      /proc/cpuinfo some more.)
    - Add support for an debian-installer/kernel/linux/initrd-2.6 template,
      since powerpc 2.6 has an initrd but powerpc 2.4 doesn't.
  * Christian Perrier
    - Fix ellipsis typography
  * Updated translations:
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Russian (ru.po) by Nikolai Prokoschenko

 -- Otavio Salvador <otavio@debian.org>  Tue, 18 May 2004 13:32:11 -0300

base-installer (0.080) unstable; urgency=high

  * Joey Hess
    - Update ia64 kernel to 2.4.25.
    - Make /target/cdrom if it doesn't exist before bind mounting to it.
    - In kernel version fallback code, try to find a kernel on the list with
      the same major version as the installer's kernel, and use it. It's
      better to use 2.4.26 instead of 2.4.25 than to fall forward to the
      newest 2.6 kernel available.
    - Add a template for debootstrap's BASESUCCESS info string, so it can be
      translated. This string was added in a recent version of debootstrap.
  * Joshua Kwan
    - sparc no longer has 2.4.24 images (removed because of security risk.)
      Oops.
    - Hardcode the root partition and its FS type into
      /etc/mkinitrd/mkinitrd.conf. (Closes: #246043)
  * Steve Langasek
    - Fix alpha to 2.4.25-1 instead of 2.4, since the metapackage is
      currently missing from sarge (and points at the wrong kernel in
      sid)
   * Stephen R. Marenka
     - Add support for q40 and sun3(x) m68k subarchs.
   * Denis Barbier
     - postinst: Turkish does not need jfbterm
   * Updated translations:
     - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 23:34:48 -0400

base-installer (0.072) unstable; urgency=low

  * Joey Hess
    - Back out the sparc 2.4.26 change pending further discussion; probably
      not suitable for beta4 as the debs are not even in testing yet.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Apr 2004 11:40:06 -0400

base-installer (0.071) unstable; urgency=low

  * Joshua Kwan
    - Bump to 2.4.26 for sparc and re-enable SMP kernels for sparc32.
    - Add self to Uploaders.
  * Updated translations:
    - vi (vi.po) by VÅ© Quang Trung

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 24 Apr 2004 22:37:17 -0700

base-installer (0.070) unstable; urgency=low

  * Colin Watson
    - Try to install 2.6 kernels on powerpc if d-i is running on 2.6.
  * Updated translations:
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:56:17 -0400

base-installer (0.069) unstable; urgency=low

  * Joey Hess
    - Try to install 2.6 kernels if d-i is running on 2.6.
    - Check for debian-installer/kernel/image-2.6 before looking in
      debian-installer/kernel/image when getting the default kernel image
      if running on 2.6.
  * Updated translations:
    - Russian (ru.po) by Dmitry Beloglazov

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Apr 2004 15:11:54 -0400

base-installer (0.068) unstable; urgency=low

  * Colin Watson
    - Install power3/power4/powerpc kernels as appropriate for the CPU.
  * Joey Hess
    - Don't make failure to install pcmcia modules a fatal error; some i386
      kernels have them in the kernel-image package, and this was breaking 2.6
      installs.
  * Stephen R. Marenka
    - Allow for partconf, which mounts /target as /target/.
  * Martin Michlmayr
    - Install the right kernel for MIPS based Cobalt machines.
    - Use 2.4.25 kernels for mips and mipsel.
  * Petter Reinholdtsen
    - Clean up and add more logging to make it easier to find out why
      and when base-installer fails.
    - Do not fail to install if package iso-codes is unavailable.
  * Updated translations:
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Russian (ru.po) by Dmitry Beloglazov
    - Turkish (tr.po) by Osman Yüksel

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 10:11:21 -0400

base-installer (0.067) unstable; urgency=low

  * Joey Hess
    - /proc/bus/pccard/drivers is a file, not a directory.
  * Updated translations:
    - Gallegan (gl.po) by Héctor Fernández López.
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Apr 2004 21:09:19 -0400

base-installer (0.066) unstable; urgency=low

  * Sven Luther
    - Modified the oldworld pmac to chose the -powerpc kernel instead
      of the -powerpc-small one.

 -- Sven Luther <luther@debian.org>  Fri,  2 Apr 2004 14:12:19 +0200

base-installer (0.065) unstable; urgency=low

  * Martin Michlmayr
    - Fix a typo so a variable is taken as such rather than as a
      literal word in the check whether an arch kernel can be found
      in the kernel list.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 02 Apr 2004 01:50:28 +0100

base-installer (0.064) unstable; urgency=low

  * Matt Kraai
    - Use the "vendor_id" and "cpu family" fields to determine which
      kernel on i386 systems, based on a patch from Thomas Poindessous
      (closes: #237529).
  * Vincent Sanders
    - Install correct kernels on ARM systems
  * Colin Watson
    - Change powerpc APUS kernel version to 2.4.25.
  * Joshua Kwan
    - Fix a missing single quote in a shell substitution that seems to
      have gotten by for quite a while.
  * Joey Hess
    - Add a check to make sure /target is mounted, to avoid installing
      to ram.
    - Only install the pcmcia kernel modules on i386 if there is a
      /proc/bus/pccard/drivers (same test that hw-detect uses to install
      pcmcia-cs).
    - Add backup support.
  * Updated translations:
    - Bosnian (bs.po) by Safir Šećerović
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 16:22:23 -0500

base-installer (0.063) unstable; urgency=low

  * Use debhelper's udeb support; lose build-dep on di-packages-build.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 18:46:05 -0500

base-installer (0.062) unstable; urgency=low

  * Martin Michlmayr
    - Install the correct kernel for the Broadcom MIPS development board
      "SWARM" (BCM91250A), both on little and big endian.
  * Stephen R. Marenka
    - Skip grep if get_arch_kernel returns nothing.
  * Matt Kraai
    - Fix the detection of i386 SMP systems and Pentium II processors.
  * Kenshi Muto
    - debian-installer/language may have multiple values.
      Fix check routine to get first value.
  * Thiemo Seufer
    - Switch subarch detection from archdetect to debbconf db value.
    - Switch mipsel kernel back to 2.4.19, as ist has some troubles.
    - Split mips/mipsel kernel selection, they use different kernel versions.
  * Anton Zinoviev
    - add to get_arch_kernel knowledge about Duron, K6 and all Pentium II
      versions.
  * Matt Kraai
    - Install an optimized kernel on Pentium IIIs.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 13:55:38 -0500

base-installer (0.061) unstable; urgency=HIGH

  * Work around bug #234404 by not installing the sparc32 smp kernel.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 18:40:58 -0500

base-installer (0.060) unstable; urgency=low

  * Translations:
    - Russian by Nikolai Prokoschenko
    - Giuseppe Sacco
      - updated italian translation and notified translator (it.po)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Mar 2004 19:36:05 +0100

base-installer (0.059) unstable; urgency=low

  * Petter Reinholdtsen
    - Recognize Pentium mobile CPUs, and try to install -686 kernels
      for them. (Closes: #229570)
  * Joey Hess
    - Don't unmount /target if $DIRECTORY is the empty string. Also, don't
      unmount anything if installing from net. Closes: #237169 (part that
      wasn't already fixed).

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 19:29:32 -0500

base-installer (0.058) unstable; urgency=low

  * Translations:
    - Dafydd Harries : Added Welsh translation (cy.po)
  * Thomas Poindessous
    - Change default kernel version for mips* to 2.4.22 (current version in
      testing and unstable)

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:00:14 -0500

base-installer (0.057) unstable; urgency=low

  * Sven Luther
    - Updated kernel-installer to use 2.4.25 kernel on powerpc.
  * Translations:
    - Ognyan Kulev: Updated Bulgarian translation (bg.po).
    - Andre Dahlqvist: Update Swedish translation (sv.po)
  * Thomas Poindessous
    - Change default kernel version for sparc (2.4.24)
  * Joey Hess
    - Remove vestigal calls to progress bar items that are not in the
      templates file. I think they were provided until now by
      kernel-installer, which has finally dropped out of the archive.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Mar 2004 04:09:22 -0500

base-installer (0.056) unstable; urgency=low

  * Stephen R. Marenka
    - Added proxy support for get_mirror_info.
    - Make pick_kernel default to same version as current running
      kernel, when possible.

  * Translations :
    - Miguel Figueiredo
      - Updated Portuguese translation (pt.po)
    - Bartosz Fenski
      - Updated Polish translation (pl.po)
    - André Luís Lopes
      - Updated Brazilian Portuguese translation (pt_BR.po)
    - Kenshi Muto
      - Updated Japanese translation (ja.po)
    - Konstantinos Margaritis
      - Updated Greek translation (el.po)
    - Christian Perrier
      - Updated French translation (fr.po)
    - Peter Mann
      - Updated Slovak translation (sk.po)
    - Kęstutis Biliūnas
      - Updated Lithuanian translation (lt.po)
    - Jordi Mallach
      - Updated Catalan translation (ca.po)
    - Changwoo Ryu
      - Updated Korean translation (ko.po)
    - Eugeniy Meshcheryakov
      - Updated Ukrainian translation (uk.po)
    - Carlos Z.F. Liu
      - Updated Simplified Chinese translation (zh_CN.po)
    - Miroslav Kure
      - Updated Czech translation (cs.po)
    - Claus Hindsgaul
      - Update da (Danish) translation.
    - Elian Myftiu
      - Updated Albanian translation (sq.po)
    - Bart Cornelis
      - Updated Dutch translation (nl.po)
    - Javier Fernandez-Sanguino
      - Updated Spanish translation (es.po)
    - Ming Hua
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Jure Cuhalev
      - Added Slovenian translation (sl.po)
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk translation (nn.po).
    - Dennis Stampfer
      - Update German translation (de.po)
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 13:14:10 -0500

base-installer (0.055) unstable; urgency=low

  * Joey Hess
    - Test /target/bin/sh and /target/bin/awk and if they exist or are broken
      links, warn the user that the target is unclean and install may fail.
      At high priority level, cancel the install with an error, suggesting
      that the user format or erase the target.
      Closes: #220550, #218606, #212967, #221430, #233168

  * Translations
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk translation (nn.po).

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Feb 2004 14:37:39 -0500

base-installer (0.054) unstable; urgency=low

  * Changwoo Ryu
    - Added Korean translation (ko.po)
  * Kenshi Muto
    - Install iso-codes if non-English.

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:07:01 -0500

base-installer (0.053) unstable; urgency=low

  * Stephen R. Marenka
    - Add kernel 2.2.x workarounds for mount bind.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Feb 2004 17:18:00 -0500

base-installer (0.052) unstable; urgency=low

  * Matt Kraai
    - Build-depend on libdebian-installer4-dev (closes: #231524).
    - Always call di_system_init.
  * Kenshi Muto
    - Install jfbterm and unifont for arabic, hebrew, turkish, ukranian.
  * Stephen R. Marenka
    - Add m68k subarch kernel support.
    - Limit kernels displayed to get_arch_kernel.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Feb 2004 13:37:59 -0500

base-installer (0.051) unstable; urgency=low

  * Richard Hirst
    - added kernel selection for ia64
    - updated ia64 to kernel 2.4.22
  * Miguel Figueiredo
    - Updated Portuguese translation (pt.po)
  * Giuseppe Sacco
    - Updated italian translation (it.po) by Davide Meloni.
    - Applied patch for normalizing menus and some italian translation (it.po)
  * Matt Kraai
    - Correct log message.
  * Kenshi Muto
    - Install jfbterm and unifont when LANG=Bulgarian.
  * h3li0s
    - Added Albanian translation (sq.po)
  * Jordi Mallach
    - Update Catalan translation (ca.po).
  * Petter Reinholdtsen
    - Correct sparc kernel names.  Patch from Thomas Poindessous.
      (Closes: #228399)
    - Updated Norwegian BokmÃ¥l translation (nb.po).
  * Bastian Blank
    - Use di-packages-build.
    - Use cdebootstrap if available.
    - Always chroot the apt-get call, avoids problems with reduced or
      missmatching libc.
    - Bindmount the cdrom into the target, this BREAKS linux 2.2.
  * Joey Hess
    - mirror/distribution has been renamed to mirror/suite.
  * Eugen Meshcheryakov : added Ukrainian translation (uk.po)

 -- Christian Perrier <bubulle@debian.org>  Sun,  8 Feb 2004 20:26:29 +0100

base-installer (0.050) unstable; urgency=low

  * Sven Luther
    - Fixed powerpc kernels in kernel-installer.
  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Giuseppe Sacco
    - Updated italian translation by Davide Meloni (it.po)
  * Miguel Figueiredo
    - Updated Portuguese translation (pt.po).
  * Joey Hess
    - Have debootstrap log to the d-i messages file.
    - Change error templates to match.
    - Remove downmainpkgs stuff; only used for slink deboostrapping.
    - Switch over to a single, milti-stage progress bar for the entire
      debootstrap run.
    - Fixed typo that was preventing build with -Os.
    - Remove the basesuccess note.
    - Incorporated the apt setup and install steps into the same single
      progress bar.
    - Merged kernel-installer into base-installer so they can share a progress
      bar.
    - Updated to debhelper v4.
    - Cleaned up the rules file.
    - Remove Standards-Version, it's a udeb.
    - Added some error templates left out due to the string freeze.
    - Stop the progress bar when exiting on debootstrap error.
    - busybox does provide uniq and sort -r now, so remove the dodgy calls to
      the ones in /target.
    - Move the apt-install queue flush to after kernel installation.
      This way, if apt-install is used to install the kernel image and pcmcia
      modules and they fail to install for some reason, and end up in the
      apt-install queue, this does not result in apt-install installing them
      when the kernel-image.conf is not properly set up.
    - Refactored most of the code in the postinst, breaking it up into
      subroutines for clarity.
    - Use only one exit point for errors, and always stop the progress bar.
    - apt-update is only used by this package, so inline it.
    - Remove some debootstrap errors which should never appear during normal
      (or abnormal) use unless d-i is very broken from the templates file, no
      need to watse time and space on translations of them.
    - add some elipses in templates
  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Kenshi Muto
    - Install jfbterm and unifont when LANG=Japanese, Korean, Greek, Chinese
    - Install console-cyrillic and console-terminus when LANG=Russian
    - Update Japanese translation (ja.po).
  * Michel Grentzinger
    - Update French translation.
  * Christian Perrier
    - s/pcmcia/PCMCIA in templates. Unfuzzied translations
  * TeÃ³filo Ruiz SuÃ¡rez
    - Updated Spanish templates unfuzzing some translations (po/es.po)
  * AndrÃ© LuÃ­s Lopes
    - Updated pt_BR (Brazilian Portuguese) translation.
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * TeÃ³filo Ruiz SuÃ¡rez
    - Unfuzzied a couple of translations (po/es.po)
  * Christian Perrier
    - Run debconf-updatepo after Joey added elipses to templates
    - Updated french translation
  * Bart Cornelis
    - Updated Dutch translation (nl.po)
  * Ognyan Kulev
    - Updated bulgarian translation (bg.po).
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Dennis Stampfer
    - Updated German translation (de.po)
  * Christian Perrier
    - Run debconf-updatepo
    - Updated french translation (fr.po)
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Anmar Oueja
    - created and translated to Arabic (ar.po)
    - merged with master template and finished translationi (ar.po)
  * Miroslav Kure
    - Update Czech translation
  * Peter Mann
    - Update Slovak translation
  * TeÃ³filo Ruiz SuÃ¡rez
    - Updated spanis translations (po/es.po)
  * Nikolai Prokoschenko
    - Updated russian translation (ru.po)
  * Ming Hua
    - Updated Simplified Chinese translation (zh_CN.po)
  * Otavio Salvador
    - Added Release file parser to identify the distribution codename
  * Andre Dahlqvist
    - Update Swedish translation (sv.po)
  * Safir Secerovic
    - Update Bosnian translation (bs.po).
  * Matt Kraai
    - Fix the handling of P codes without a PF code (closes: #225858).

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Jan 2004 13:01:51 -0500

base-installer (0.047) unstable; urgency=low

  * Steve Langasek
    - add per-arch kernel-installer handling for alpha

 -- Steve Langasek <vorlon@debian.org>  Sat, 10 Jan 2004 09:18:23 -0600

base-installer (0.046) unstable; urgency=low

  * Richard Hirst
    - Added kernel selection for ia64

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Jan 2004 17:39:29 -0500

base-installer (0.045) unstable; urgency=low

  * Ming Hua
    - Initial Simplified Chinese translation (zh_CN.po)
  * Bart Cornelis
    - Merged Norwegian Nynorsk (nn.po) translation from skolelinux-cvs
  * Giuseppe Sacco
    - Corrected a typo in nn.po and ca.po (SUBSTO->SUBST0)
  * Andre Dahlqvist
    - Update Swedish translation (sv.po)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 31 Dec 2003 16:20:32 +0100

base-installer (0.044) unstable; urgency=low

  * Bart Cornelis
    - Merged Norwegian Bokmael (nb.po) translation from skolelinux-cvs
  * Miguel Figueiredo
    - Initial Portuguese translation. (pt.po)
  * Peter Mann
    - Update Slovak translation
  * Giuseppe Sacco
    - Italian translation update

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2003 19:53:45 -0500

base-installer (0.043) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * AndrÃ© Dahlqvist
    - Update Swedish translation. (sv.po)
  * David MartÃ­nez Moreno
    - Updated a lot the Spanish translation (es.po) and converted it
      to UTF-8.
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Joey Hess
    - On i386, install a pcmcia-kernel-modules package to match the kernel
      package.
  * Peter Mann
    - Updated Slovak translation. (sk.po)
  * Giuseppe Sacco
    - First italian translation by Stefano Melchior
    - Update translation from Davide Meloni
  * Dennis Stampfer
    - Update translation by Jan LÃ¼bbe (de.po). Closes: #224278
    - Update German translation (de.po)
  * Kenshi Muto
    - Add install code of language specific packages to postinst.
    (Closes: Bug#224226)
    - Update Japanese translation (ja.po)
    - Apply kernel-img.conf configuration patch. (See Bug#223679)
  * Bart Cornelis
    - Updated Dutch translation (nl.po)
  * Otavio Salvador
    - Added the 'Finding package sizes' and 'Checking ...' in template
    - Updated pt_BR (Brazilian Portuguese) translation
  * Steinar H. Gunderson
    - Updated Norwegian translation (nb.po).
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * Miroslav Kure
    - Updated Czech translation (cs.po).
  * Thiemo Seufer
    - Improve error handling for the apt-install initrd-tools case.
    - Use archdetect for the mips/mipsel kernel-installer.
  * Ognyan Kulev
    - Added/updated bulgarian translation (bg.po).
  * Petter Reinholdtsen
    - Update Norwegian Nynorsk (nn.po), thanks to Gaute Hvoslef Kvalnes.
  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Jure Cuhalev
    - Added/updated slovenian translation (sl.po).
  * TeÃ³filo Ruiz SuÃ¡rez
    - Updated Spanish translation (es.po)

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Dec 2003 14:00:22 -0500

base-installer (0.042) unstable; urgency=low

  * Verok Istvan
    - Initial Hungarian translation.
  * Joey Hess
    - mirror/distribution has changed to use symbolic release names,
      so add a quick hack to convert these to code names. Getting the code
      name from the Release file is not yet implemented.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Dec 2003 16:38:42 -0500

base-installer (0.041) unstable; urgency=low

  * Peter Mann
    - Initial Slovak translation (sk.po).
  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Petter Reinholdtsen
    - Update nb.po.
  * Konstantinos Margaritis
    - Initial Greek translation (el.po).
  * Christian Perrier
    - Refined and standardized templates. Closes: #218992
  * Safir Â¿eÂ¿eroviÂ¿
    - Updated Bosnian (bs) translation.
  * Michel Grentzinger
    - Update French translation.
  * Miroslav Kure
    - Update Czech translation.
  * Bart Cornelis
    - Updated Dutch translation (nl.po)
  * Tommi Vainikainen
    - Update Finnish translation.
  * Steinar H. Gunderson
    - Update nb.po.
  * Bastian Blank
    - remove di_log workaround
  * Jordi Mallach
    - Update Catalan translation.
  * Kęstutis Biliūnas
    - Updated Lithuanian translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * AndrÃ© LuÃ­s Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Thiemo Seufer
    - Add support for mips, mipsel to kernel-installer.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Dec 2003 15:53:51 -0500

base-installer (0.040) unstable; urgency=low

  * Joey Hess
    - Change some base-installer templates to use "Retrieving packages"
      etc instead of "Downloading", as the latter term is innaccurate
      during eg, CDROM inatalls.
  * Pierre Machard
    - Run debconf-updatepo
    - Update French translation
  * Safir Secerovic, Amila Akagic
    - Add Bosnian translation. (bs.po)
  * Bart Cornelis
    - Updated dutch translation
  * AndrÃ© LuÃ­s Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Kęstutis Biliūnas
    - Update Lithuanian translation.
  * Petter Reinholdtsen
    - Update nb.po
  * Michel Grentzinger
    - Update French translation.
  * Miroslav Kure
    - Update Czech (cs.po) translation.
  * Ilgiz Kalmetev
    - Updated Russian translation. Closes: #219096.
  * Tommi Vainikainen
    - Update Finnish (fi.po) translation.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  7 Nov 2003 18:13:28 +0100

base-installer (0.039) unstable; urgency=low

  * Gaudenz Steinlin
    - kernel-installer.postinst:
      replace /usr/bin/archdetect by /bin/archdetect
  * Jure Cuhalev
    - Added Slovenian translation. Closes: #214384.
  * Claus Hindsgaul
    - Update da (Danish) translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Nov 2003 12:33:20 +0100

base-installer (0.038) unstable; urgency=low

  * Tommi Vainikainen
    - Add Finnish (fi.po) translation
  * Bart Cornelis
    - Update dutch translation (nl.po)
  * Petter Reinholdtsen
    - Fix progress text, add forgotten KERNEL subst.
  * Pierre Machard
    - Improve French translation [Christian Perrier].
    - Update French po-debconf translation [Michel Grentzinger].
  * Miroslav Kure
    - Update Czech translation (cs.po).
  * Matt Kraai
    - Default to an SMP kernel if there are multiple CPUs.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Kęstutis Biliūnas
    - Update Lithuanian translation (lt.po).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2003 16:21:44 +0200

base-installer (0.037) unstable; urgency=low

  * Petter Reinholdtsen
    - Corrected template text for error dialog used when kernel
      installation fail.
    - Updated nb.po.
    - Avoid setting default kernel to a kernel package that is
      not available.
  * AndrÃ© LuÃ­s Lopes
    - Updated pt_BR (Brazilian Portuguese) translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Oct 2003 23:12:00 +0200

base-installer (0.036) unstable; urgency=low

  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Javier Fernandez-Sanguino
    - Updated spanish translation.
  * Alastair McKinstry
    - Update ru.po, with patch from Ilgiz Kalmetev. (Closes: #214384)
    - Add versioned depends on libdebconfclient-dev, to get working debconf_
      macros.
  * Steinar H. Gunderson
    - Make base-installer handle warnings from debconf better, although still
      not very good.
  * Chris Tillman
    - Change ppcdetect to archdetect and corresponding CASEs
  * Christian Perrier
    - Improve French translation.
  * Kęstutis Biliūnas
    - Add Lithuanian translation (lt.po).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Oct 2003 19:14:36 +0200

base-installer (0.035) unstable; urgency=low

  * Build-Depend on libd-i4

 -- Sebastian Ley <ley@debian.org>  Thu,  9 Oct 2003 18:50:20 +0200

base-installer (0.034) unstable; urgency=low

  * Bastian Blank
    - remove dash-udeb dependency
    - fix for libdi4
  * Kenshi Muto
    - Update Japanese po (ja.po)
  * Denis Barbier
    - Add comments in templates files, which are copied into PO files,
      to tell translators which strings are main menu items.
  * Andre Luis Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Petter Reinholdtsen
    - Make source build using both version 3 and 4 of libd-i.
  * Ilgiz Kalmetev
    - Updated Russian translation.
  * Matt Kraai
    - Default to kernel-image-2.4-386 on i386.
  * Miroslav Kure
    - Initial Czech translation.
  * Bart Cornelis
    - Updated dutch translation (nl.po)
  * Build this version against libdebian-installer4

 -- Sebastian Ley <ley@debian.org>  Thu,  9 Oct 2003 16:45:37 +0200

base-installer (0.033) unstable; urgency=low

  * Petter Reinholdtsen
    - Made the menu entry text translatable.
    - Ran debconf2po-update.
    - Start using debconf_* macro in run-debootstrap.c.
    - Use 'error' debconf template type to report errors.
    - Correct kernel-install progress template to show kernel package
      name.
  * Alastair McKinstry
    - Convert changelog to UTF-8 as per policy
  * Pierre Machard
    - Update French po-debconf translation.
  * Sebastian Ley
    - Changed the hardcoded default kernel version to 2.4 for i386, this
      will select the latest 2.4 kernel
    - Added Athlon Model for i386
  * Matt Kraai
    - Add missing ;; and fix misspelling in the kernel-installer postinst.

 -- Sebastian Ley <ley@debian.org>  Thu,  2 Oct 2003 19:24:08 +0200

base-installer (0.032) unstable; urgency=low

  * Andre LuÃ­s Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Bart Cornelis
    - updated dutch translation

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2003 15:03:05 +0200

base-installer (0.031) unstable; urgency=low

  * Richard Hirst
    - Remove "image_in_boot = yes", as "link_in_boot" superceeds it.
    - Fix warnings on ia64, getline arg2 is size_t, not int.
  * Chris Tillman
    - Update English usage in message templates
  * Steinar H. Gunderson
    - Fix error in fallback error message display.
  * Jordi Mallach
    - Added Catalan (ca) translation.
  * Kenshi Muto
    - Update ja.po
  * Pierre Machard
    - Update French po-debconf translation [Michel Grentzinger].
  * Petter Reinholdtsen
    - Update nb.po

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Sep 2003 22:22:41 +0200

base-installer (0.030) unstable; urgency=low

  * Petter Reinholdtsen
    - Keep installing packages into /target/ even if one package fail.
      Based on patch from Steinar H. Gunderson. (Closes: #210915)
    - Log to syslog, not /var/log/messages in kernel-installer.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Sep 2003 21:31:32 +0200

base-installer (0.029) unstable; urgency=low

  * Petter Reinholdtsen
    - Added Russian debconf template translation (ru.po), patch
      from Serge Winitzki.
  * Claus Hindsgaul
    - Removed illegal spaces in message no-kernels-found in
      kernel-installer.templates
  * Matt Kraai
    - Update French translation, thanks to Michel Grentzinger (closes:
      #208588).
  * TeÃ³filo Ruiz SuÃ¡rez
    - Revised Spanish translation

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Sep 2003 17:45:00 +0200

base-installer (0.028) unstable; urgency=low

  * Kenshi Muto
    - Added Japanese translation (ja.po)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Aug 2003 23:10:27 +0200

base-installer (0.027) unstable; urgency=low

  * Add translation for Northern Saami (se.po), thanks to BÃ¸rre Gaup.
  * Stop the progress bar when kernel installation go wrong.
  * Javier Fernandez-Sanguino:
    - Updated Spanish translation and use proper quotes

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Aug 2003 13:49:00 +0200

base-installer (0.026) unstable; urgency=low

  * Petter Reinholdtsen
    - Updated de.po.  Patch from Maximilian Wilhelm.
    - Updated nb.po.
    - Added danish translation (da.po), thanks to Finn G. Larsen.
  * AndrÃ© LuÃ­s Lopes
    - Update pt_BR.po.
  * Bart Cornelis
    - Updated duth translation

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Aug 2003 16:27:03 +0200

base-installer (0.025) unstable; urgency=low

  * Matt Kraai
    - Add nl.po, thanks to Bart Cornelis.
  * Alastair McKinstry
    - Add lv.po, thanks to Aigars Mahinovs
  * Martin SjÃ¶gren
    - Implement progress bar thingy. (Closes: #180753)
      This requires version >= 0.2.1 of debootstrap.
    - Bump standards version to 3.6.0
  * AndrÃ© LuÃ­s Lopes
    - Update Brazilian Portuguese (pt_BR) debconf template translation.
    - Run debconf-updatepo to feed more translatable strings to
      translators.
  * Petter Reinholdtsen
    - Update nb.po.
    - Convert changelog to UTF-8.
    - Stop kernel-installer from printing to stderr.
    - Add initial progress bar to kernel-installer.
    - Correct template names from old 'kernel-chooser' to new
      'kernel-installer'.
    - Add progress bar at the end of base-installer, when the APT
      database is updated and extra the packages are installed.
    - Updated nb.po.
  * Florian Lohoff
    - Updated de.po.  Thanks to from Maximilian Wilhelm.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Jul 2003 15:43:44 +0200

base-installer (0.024) unstable; urgency=low

  * Petter Reinholdtsen
    - Add dash-udeb as a dependency for base-installer, while we wait for
      busybox-udeb being able to run debootstrap.
  * Tollef Fog Heen
    - update fr.po file, from Michel Grentzinger.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 13 Jul 2003 16:50:48 +0200

base-installer (0.023) unstable; urgency=low

  * Add french translation by Michel Grentzinger. (Closes: #197312)
  * Make sure /target/etc/apt/ exists before trying to create
    sources.list.  Patch from Thorsten Sauter.  (Closes: #197818)
  * Copy the postinst from kernel-chooser into the kernel-installer
    postinst, to make it easier to select which kernel to install.
  * Ben Collins
    - Add link_in_boot=yes prior to sparc kernel install. Allows sparc to
      transparently support /boot being on a seperate partition.
  * Thorsten Sauter:
    - kernel-installer depends now on created-fstab

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Jun 2003 21:09:38 +0200

base-installer (0.022) unstable; urgency=low

  * Updated nb.po.
  * Remove problematic spaces included by mistake. (Closes: #193160)
  * Thorsten Sauter
    - Insert german translation (de.po)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Jun 2003 01:48:21 +0200

base-installer (0.021) unstable; urgency=low

  * Keep going even if /target/etc/fstab is missing. (Closes: #186443)
  * Display a debconf-note when debootstrap return an error
    code.  (Closes: #178418)
  * Make myself the uploader for this package.
  * Upgrade standards-version from 3.5.2 to 3.5.9.
  * Cleanup in kernel-installer postinst.
  * Added translation framework, and Norwegian BokmÃ¥l translation (nb.po).
  * AndrÃ© LuÃ­s Lopes :
    - Added pt_BR debconf template translation.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  8 May 2003 09:21:06 +0200

base-installer (0.020) unstable; urgency=low

  * Petter Reinholdtsen
    - Use debconf to report an error if kernel install fails.
      (Closes: #188209)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Apr 2003 11:23:21 +0200

base-installer (0.019) unstable; urgency=low

  * Bastian Blank
    - Add linux prefix to linux only templates.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Apr 2003 10:23:15 +0200

base-installer (0.018) unstable; urgency=low

  * Mario Lang
    - Remove brltty specific code from base-installer postinst.  We now
      have apt-install.
  * Petter Reinholdtsen
    - Process the apt-install queue in one call to apt-install, instead
      of several.  This should speed up the install.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  4 Mar 2003 16:42:44 +0100

base-installer (0.017) unstable; urgency=low

  * Petter Reinholdtsen
    - Moved apt-update and apt-install to rootskel.
  * Matt Kraai
    - Unset Debconf variables before calling apt-install (closes:
      #180249).
    - Remove local component for network installs.

 -- Matt Kraai <kraai@debian.org>  Wed, 12 Feb 2003 21:46:13 -0800

base-installer (0.016) unstable; urgency=low

  * Use the same components in debootstrap and APT.
  * Two new helper programs, apt-update and apt-install.
  * Try to fix CDROM installs; Make sure 'apt-get update' is executed
    when installing from CD, change the APT source protocol from file:
    to copy:, and split 'apt-get install' into two parts, one
    downloading outside /target/, and one installing within /target/.
  * Install all pachages with DEBIAN_FRONTEND=noninteractive, and make
    sure /target/proc/ is available during install.
  * Make sure initrd-tools is installed before we modify its
    configuration.
  * Add package queue for extra packages to install into /target/.
    Should apt-install move into rootskel or another package?
  * Redirect stderr to /var/log/messages when installing packages.
  * Make debug output easier to read.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  7 Feb 2003 15:22:36 +0100

base-installer (0.015) unstable; urgency=low

  * Mario Lang
    - in base-installer postinst, if /sbin/brltty exists, brltty=... was
      passed in kernel cmdline, and brltty is running, add it to debootstrap
      --include list.
  * Petter Reinholdtsen
    - In kernel-installer, set DELAY=0 in
      /target/etc/mkinitrd/mkinitrd.conf to disable the possibility of
      interrupting the boot in the initrd.
    - Add more error handling in kernel-installer.
  * Matt Kraai
    - Add /usr/lib and /lib to LD_LIBRARY_PATH when invoking apt-get
      (closes: 179994).

 -- Matt Kraai <kraai@debian.org>  Thu, 06 Feb 2003 17:28:17 -0800

base-installer (0.014) unstable; urgency=low

  * Bastian Blank
    - remove kernel installation from base-installer
    - add apt-get update to base-installer
    - add kernel-installer
  * Richard Hirst
    - fix apt-get args for gzip and dpkg binaries
    - get apt-get to tell dpkg to run in /target
    - add target bin/sbin dirs to PATH for aptget/dpkg
    - actually use rootskel initrd template for /etc/kernel-img.conf
    - add relative_links=yes, image_in_boot=yes to kernel-img.conf
    - unset DEBCONF_HAS_FRONTEND, etc in kernel-installer postinst,
      as per base-installer postinst (undocumented hacks)
  * Petter Reinholdtsen
    - Detect missing 'debian-installer/kernel/image' and report this
      as an error.

 -- Matt Kraai <kraai@debian.org>  Mon, 03 Feb 2003 20:34:29 -0800

base-installer (0.013) unstable; urgency=low

  * Richard Hirst
   - create appropriate /target/etc/kernel-img.conf for hppa
  * Tollef Fog Heen
    - remove -x from postinst, to remove clutter.
  * Petter Reinholdtsen
    - Remove obsolete skolelinux debootstrap symlinks.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  7 Dec 2002 16:53:30 +0100

base-installer (0.012) unstable; urgency=low

  * Tollef Fog Heen
    - Fix installer-menu-item
  * Richard Hirst
    - Add hppa support

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  4 Dec 2002 03:36:08 +0100

base-installer (0.011) unstable; urgency=low

  * Tollef Fog Heen
    - Set priority to required

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Nov 2002 02:42:06 +0100

base-installer (0.010) unstable; urgency=low

  * Martin SjÃ¶gren
    - Replace XBC with XB so our special control fields don't confuse the
      changes files.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Nov 2002 02:09:39 +0100

base-installer (0.009) unstable; urgency=low

  * support http_proxy

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  6 Nov 2002 01:54:01 +0100

base-installer (0.008) unstable; urgency=low

  * Do not crash if the questions netcfg/get_hostname or
    netcfg/get_domain are unknown to debconf.
  * Use default distribution if no debconf answer is available.
  * Document how to avoid the 5 second 'get root without giving
    password' window.
  * Add hack to avoid messages like 'Note /etc/modules.conf is more recent
    than /lib/modules/*/modules.dep'
  * Choose kernel version based on the distribution name.
  * Use dash instead of ash
  * Fix paths to avoid double slashes.
  * Only exclude if we have anything to exclude
  * Make lilo not try to install itself, by echoing magic string
  * Make -boot the maintainer but add me to Uploaders.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 14 Oct 2002 17:08:13 +0200

base-installer (0.007) unstable; urgency=low

  * Log to /target/var/log/, not /tmp/.
  * Use distribution selected in choose-mirror.
  * Avoid adding bogus entry in /target/etc/hosts if debconf values for
    netcfg/get_{hostname,domain} is empty.
  * Correct translation language code from 'no' to 'nb'.
  * Get rid of PROFILE stuff inside postinst, since it's not used.
  * Make sure /target/etc exists before writing files into it.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 16 Sep 2002 17:57:19 +0200

base-installer (0.006) unstable; urgency=low

  * Support comments in /cdrom/.disk/* files.  Thanks to Petter
    Reinholdtsen for pointing this out.
  * The support for /cdrom/.disk/* files was quite broken -- a delimiter
    was added to the end.  This caused lots of grief, which should now be
    fixed.
  * Fix path to base_{include,exclude} files.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  3 Jul 2002 22:57:23 +0200

base-installer (0.005) unstable; urgency=low

  * Fix syntax error in postinst.
  * Add support for base_{include,exclude} and fix the support for
    --components when installing from CD.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 28 Jun 2002 10:18:19 +0200

base-installer (0.004) unstable; urgency=low

  * twiddle with kernel-img.conf
  * pass --components with somewhat sane values to debootstrap.
  * don't pass script to debootstrap.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 23 Jun 2002 10:11:20 +0200

base-installer (0.003) unstable; urgency=low

  * Up version to actually get this installed
  * Change architecture to all everywhere.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 19 Jun 2002 20:43:58 +0200

base-installer (0.002) unstable; urgency=low

  * Fix cdrom installation.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 19 Jun 2002 20:20:27 +0200

base-installer (0.001) unstable; urgency=low

  * Initial release

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 10 Mar 2002 20:06:30 +0100
